-------------------------------------------------------------------------------
--=> DB_Spells.lua
-- weizPVP: DB_Spells
-------------------------------------------------------------------------------
--> LuaCheck Settings
-- luacheck: no max line length
-- luacheck: ignore  _.* for k self
--!! DEBUG
-- luacheck: globals weizPVP_DEBUG_previousOutput ViragDevTool_AddData
--> weizPVP: Libs
-- luacheck: globals LibStub LibInspect
--> weizPVP: Globals
-- luacheck: globals weizPVP weizPVP.Settings WolrdPVP_InspectCache weizPVPInspect
--> WoW API Globals
-- luacheck: globals
-------------------------------------------------------------------------------
--=> Import
-------------------------------------------------------------------------------
local weizPVP = weizPVP

-------------------------------------------------------------------------------

--=> CREATE ABILITY DB
-----------------------------------------------------------------------
function weizPVP:CreateAbilityDB()
    weizPVP.AbilityDB = {
        -----------------------------------------------------------
        -- Allows an estimation of the race, class and level of a
        -- player to be determined from what abilities are observed
        -- in the combat log.
        -----------------------------------------------------------

        --> Racials
        ["Stoneform"] = {race = "Dwarf", level = 1},
        ["Escape Artist"] = {race = "Gnome", level = 1},
        ["Every Man for Himself"] = {race = "Human", level = 1},
        ["Shadowmeld"] = {race = "Night Elf", level = 1},
        ["Gift of the Naaru"] = {race = "Draenei", level = 1},
        ["Darkflight"] = {race = "Worgen", level = 1},
        ["Two Forms"] = {race = "Worgen", level = 1},
        ["Running Wild"] = {race = "Worgen", level = 1},
        ["Blood Fury"] = {race = "Orc", level = 1},
        ["War Stomp"] = {race = "Tauren", level = 1},
        ["Berserking"] = {race = "Troll", level = 1},
        ["Will of the Forsaken"] = {race = "Undead", level = 1},
        ["Cannibalize"] = {race = "Undead", level = 1},
        ["Arcane Torrent"] = {race = "Blood Elf", level = 1},
        ["Rocket Jump"] = {race = "Goblin", level = 1},
        ["Rocket Barrage"] = {race = "Goblin", level = 1},
        ["Pack Hobgoblin"] = {race = "Goblin", level = 1},
        ["Quaking Palm"] = {race = "Pandaren", level = 1},
        --> Death Knight Abilities
        ["Frost Breath"] = {class = "DEATHKNIGHT", level = 1},
        ["Corpse Explosion"] = {class = "DEATHKNIGHT", level = 25},
        ["Blood Plague"] = {class = "DEATHKNIGHT", level = 55},
        ["Death Gate"] = {class = "DEATHKNIGHT", level = 55},
        ["Death Grip"] = {class = "DEATHKNIGHT", level = 55},
        ["Death Strike"] = {class = "DEATHKNIGHT", level = 55},
        ["Rune of Razorice"] = {class = "DEATHKNIGHT", level = 55},
        ["Runeforging"] = {class = "DEATHKNIGHT", level = 55},
        ["Anti-Magic Shell"] = {class = "DEATHKNIGHT", level = 57},
        ["Dark Command"] = {class = "DEATHKNIGHT", level = 58},
        ["On a Pale Horse"] = {class = "DEATHKNIGHT", level = 61},
        ["Mind Freeze"] = {class = "DEATHKNIGHT", level = 62},
        ["Path of Frost"] = {class = "DEATHKNIGHT", level = 66},
        ["Control Undead"] = {class = "DEATHKNIGHT", level = 69},
        ["Rune of Fallen Crusader"] = {class = "DEATHKNIGHT", level = 70},
        ["Raise Ally"] = {class = "DEATHKNIGHT", level = 72},
        ["Rune of the Stoneskin Gargoyle"] = {class = "DEATHKNIGHT", level = 72},
        --> Death Knight Artifact Traits
        ["Apocalypse"] = {class = "DEATHKNIGHT", level = 100},
        ["Consumption"] = {class = "DEATHKNIGHT", level = 100},
        ["Sindragosa's Fury"] = {class = "DEATHKNIGHT", level = 100},
        --> Death Knight Specialization
        --> Blood/Frost/Unholy
        ["Wraith Walk"] = {class = "DEATHKNIGHT", level = 60},
        ["Icebound Fortitude"] = {class = "DEATHKNIGHT", level = 57},
        --> Blood/Unholy
        ["Death and Decay"] = {class = "DEATHKNIGHT", level = 56},
        --> Frost/Unholy
        ["Dark Succor"] = {class = "DEATHKNIGHT", level = 58},
        ["Chains of Ice"] = {class = "DEATHKNIGHT", level = 63},
        --> Blood
        ["Heart Strike"] = {class = "DEATHKNIGHT", level = 1},
        ["Marrowrend"] = {class = "DEATHKNIGHT", level = 55},
        ["Blood Boil"] = {class = "DEATHKNIGHT", level = 56},
        ["Dancing Rune Weapon"] = {class = "DEATHKNIGHT", level = 57},
        ["Death's Caress"] = {class = "DEATHKNIGHT", level = 58},
        ["Vampiric Blood"] = {class = "DEATHKNIGHT", level = 60},
        ["Veteran of the Third War"] = {class = "DEATHKNIGHT", level = 60},
        ["Crimson Scourge"] = {class = "DEATHKNIGHT", level = 84},
        ["Gorefiend's Grasp"] = {class = "DEATHKNIGHT", level = 64},
        ["Blood Shield"] = {class = "DEATHKNIGHT", level = 78},
        --> Frost
        ["Runic Empowerment"] = {class = "DEATHKNIGHT", level = 1},
        ["Frost Fever"] = {class = "DEATHKNIGHT", level = 55},
        ["Frost Strike"] = {class = "DEATHKNIGHT", level = 55},
        ["Howling Blast"] = {class = "DEATHKNIGHT", level = 55},
        ["Obliterate"] = {class = "DEATHKNIGHT", level = 55},
        ["Empower Rune Weapon"] = {class = "DEATHKNIGHT", level = 57},
        ["Pillar of Frost"] = {class = "DEATHKNIGHT", level = 57},
        ["Rime"] = {class = "DEATHKNIGHT", level = 59},
        ["Frozen Heart"] = {class = "DEATHKNIGHT", level = 78},
        --> Unholy
        ["Festering Wound"] = {class = "DEATHKNIGHT", level = 1},
        ["Runic Corruption"] = {class = "DEATHKNIGHT", level = 1},
        ["Death Coil"] = {class = "DEATHKNIGHT", level = 55},
        ["Festering Strike"] = {class = "DEATHKNIGHT", level = 55},
        ["Outbreak"] = {class = "DEATHKNIGHT", level = 55},
        ["Raise Dead"] = {class = "DEATHKNIGHT", level = 55},
        ["Scourge Strike"] = {class = "DEATHKNIGHT", level = 55},
        ["Sudden Doom"] = {class = "DEATHKNIGHT", level = 64},
        ["Dark Transformation"] = {class = "DEATHKNIGHT", level = 74},
        ["Summon Gargoyle"] = {class = "DEATHKNIGHT", level = 75},
        ["Dreadblade"] = {class = "DEATHKNIGHT", level = 78},
        ["Army of the Dead"] = {class = "DEATHKNIGHT", level = 82},
        --> Death Knight Talents
        --> Blood
        ["Blooddrinker"] = {class = "DEATHKNIGHT", level = 56},
        ["Bloodworms"] = {class = "DEATHKNIGHT", level = 56},
        ["Heartbreaker"] = {class = "DEATHKNIGHT", level = 56},
        ["Rapid Decomposition"] = {class = "DEATHKNIGHT", level = 57},
        ["Heart of Ice"] = {class = "DEATHKNIGHT", level = 57},
        ["Special Deflection"] = {class = "DEATHKNIGHT", level = 57},
        ["Anti-Maigc Barrier"] = {class = "DEATHKNIGHT", level = 58},
        ["Blood Tap"] = {class = "DEATHKNIGHT", level = 58},
        ["Ossuary"] = {class = "DEATHKNIGHT", level = 58},
        ["Mark of Blood"] = {class = "DEATHKNIGHT", level = 60},
        ["Red Thirst"] = {class = "DEATHKNIGHT", level = 60},
        ["Tombstone"] = {class = "DEATHKNIGHT", level = 60},
        ["March of the Damned"] = {class = "DEATHKNIGHT", level = 75},
        ["Tighten Grasp"] = {class = "DEATHKNIGHT", level = 75},
        ["Tremble Before Me"] = {class = "DEATHKNIGHT", level = 75},
        ["Foul Bulwark"] = {class = "DEATHKNIGHT", level = 90},
        ["Rune Tap"] = {class = "DEATHKNIGHT", level = 90},
        ["Will of the Necropolis"] = {class = "DEATHKNIGHT", level = 90},
        ["Blood Mirror"] = {class = "DEATHKNIGHT", level = 100},
        ["Bonestorm"] = {class = "DEATHKNIGHT", level = 100},
        ["Purgatory"] = {class = "DEATHKNIGHT", level = 100},
        --> Frost
        ["Icy Talons"] = {class = "DEATHKNIGHT", level = 56},
        ["Runic Attenuation"] = {class = "DEATHKNIGHT", level = 56},
        ["Shattering Strikes"] = {class = "DEATHKNIGHT", level = 56},
        ["Freezing Fog"] = {class = "DEATHKNIGHT", level = 57},
        ["Horn of Winter"] = {class = "DEATHKNIGHT", level = 57},
        ["Murderous Efficiency"] = {class = "DEATHKNIGHT", level = 57},
        ["Avalanche"] = {class = "DEATHKNIGHT", level = 58},
        ["Glacial Advance"] = {class = "DEATHKNIGHT", level = 58},
        ["Icecap"] = {class = "DEATHKNIGHT", level = 58},
        ["Abomination's Might"] = {class = "DEATHKNIGHT", level = 60},
        ["Blinding Sleet"] = {class = "DEATHKNIGHT", level = 60},
        ["Winter is Coming"] = {class = "DEATHKNIGHT", level = 60},
        ["Inexorable Assault"] = {class = "DEATHKNIGHT", level = 75},
        ["Permafrost"] = {class = "DEATHKNIGHT", level = 75},
        ["White Walker"] = {class = "DEATHKNIGHT", level = 75},
        ["Fostscythe"] = {class = "DEATHKNIGHT", level = 90},
        ["Frozen Pulse"] = {class = "DEATHKNIGHT", level = 90},
        ["Gathering Storm"] = {class = "DEATHKNIGHT", level = 90},
        ["Breath of Sindragosa"] = {class = "DEATHKNIGHT", level = 100},
        ["Hungering Rune Weapon"] = {class = "DEATHKNIGHT", level = 100},
        ["Obliteration"] = {class = "DEATHKNIGHT", level = 100},
        --> Unholy
        ["All Will Serve"] = {class = "DEATHKNIGHT", level = 56},
        ["Bursting Sores"] = {class = "DEATHKNIGHT", level = 56},
        ["Ebon Fever"] = {class = "DEATHKNIGHT", level = 56},
        ["Blighted Rune Weapon"] = {class = "DEATHKNIGHT", level = 57},
        ["Epidemic"] = {class = "DEATHKNIGHT", level = 57},
        ["Pestilent Pustules"] = {class = "DEATHKNIGHT", level = 57},
        ["Castigator"] = {class = "DEATHKNIGHT", level = 58},
        ["Clawing Shadows"] = {class = "DEATHKNIGHT", level = 58},
        ["Unholy Frenzy"] = {class = "DEATHKNIGHT", level = 58},
        ["Asphyxiate"] = {class = "DEATHKNIGHT", level = 60},
        ["Debilitating Infestation"] = {class = "DEATHKNIGHT", level = 60},
        ["Sludge Belcher"] = {class = "DEATHKNIGHT", level = 60},
        ["Corpse Shield"] = {class = "DEATHKNIGHT", level = 75},
        ["Lingering Apperation"] = {class = "DEATHKNIGHT", level = 75},
        ["Spell Eater"] = {class = "DEATHKNIGHT", level = 75},
        ["Infected Claws"] = {class = "DEATHKNIGHT", level = 90},
        ["Necrosis"] = {class = "DEATHKNIGHT", level = 90},
        ["Shadow Infusion"] = {class = "DEATHKNIGHT", level = 90},
        ["Dark Arbiter"] = {class = "DEATHKNIGHT", level = 100},
        ["Defile"] = {class = "DEATHKNIGHT", level = 100},
        ["Soul Reaper"] = {class = "DEATHKNIGHT", level = 100},
        --> Death Knight PvP Talents
        ["Strangulate"] = {class = "DEATHKNIGHT", level = 100},
        ["Anti-Magic Zone"] = {class = "DEATHKNIGHT", level = 100},
        ["Dark Simulacrum"] = {class = "DEATHKNIGHT", level = 100},
        ["Decomposing Aura"] = {class = "DEATHKNIGHT", level = 100},
        ["Wandering Plague"] = {class = "DEATHKNIGHT", level = 100},
        ["Death Chain"] = {class = "DEATHKNIGHT", level = 100},
        ["Killing Machine"] = {class = "DEATHKNIGHT", level = 100},
        ["Chill Streak"] = {class = "DEATHKNIGHT", level = 100},
        ["Reanimation"] = {class = "DEATHKNIGHT", level = 100},
        ["Necrotic Strike"] = {class = "DEATHKNIGHT", level = 100},
        --> Demon Hunter Abilities
        ["Chaos Strike"] = {class = "DEMONHUNTER", level = 98},
        ["Consume Magic"] = {class = "DEMONHUNTER", level = 98},
        ["Demon's Bite"] = {class = "DEMONHUNTER", level = 98},
        ["Double Jump"] = {class = "DEMONHUNTER", level = 98},
        ["Eye Beam"] = {class = "DEMONHUNTER", level = 98},
        ["Fel Rush"] = {class = "DEMONHUNTER", level = 98},
        ["Glide"] = {class = "DEMONHUNTER", level = 98},
        ["Spectral Sight"] = {class = "DEMONHUNTER", level = 98},
        ["Throw Glaive"] = {class = "DEMONHUNTER", level = 98},
        ["Metamorphosis"] = {class = "DEMONHUNTER", level = 99},
        ["Annihilation"] = {class = "DEMONHUNTER", level = 99},
        ["Blade Dance"] = {class = "DEMONHUNTER", level = 100},
        ["Blur"] = {class = "DEMONHUNTER", level = 100},
        ["Chaos Nova"] = {class = "DEMONHUNTER", level = 100},
        ["Darkness"] = {class = "DEMONHUNTER", level = 100},
        ["Death Sweep"] = {class = "DEMONHUNTER", level = 100},
        ["Imprison"] = {class = "DEMONHUNTER", level = 100},
        ["Vengeful Retreat"] = {class = "DEMONHUNTER", level = 100},
        --> Demon Hunter Artifact Traits
        ["Fury of the Illidari"] = {class = "DEMONHUNTER", level = 100},
        ["Soul Carver"] = {class = "DEMONHUNTER", level = 100},
        --> Demon Hunter Specialization
        --> Havoc/Vengeance
        ["Shattered Souls"] = {class = "DEMONHUNTER", level = 98},
        --> Havoc+
        ["Demonic Presence"] = {class = "DEMONHUNTER", level = 98},
        --> Vengeance
        ["Immolation Aura"] = {class = "DEMONHUNTER", level = 100},
        ["Infernal Strike"] = {class = "DEMONHUNTER", level = 100},
        ["Torment"] = {class = "DEMONHUNTER", level = 100},
        ["Demon Spikes"] = {class = "DEMONHUNTER", level = 100},
        ["Demonic Wards"] = {class = "DEMONHUNTER", level = 100},
        ["Fiery Brand"] = {class = "DEMONHUNTER", level = 100},
        ["Fel Blood"] = {class = "DEMONHUNTER", level = 100},
        ["Shear"] = {class = "DEMONHUNTER", level = 100},
        ["Sigil of Flame"] = {class = "DEMONHUNTER", level = 100},
        ["Soul Cleave"] = {class = "DEMONHUNTER", level = 100},
        ["Sigil of Silence"] = {class = "DEMONHUNTER", level = 101},
        ["Empower Wards"] = {class = "DEMONHUNTER", level = 103},
        ["Sigil of Misery"] = {class = "DEMONHUNTER", level = 105},
        --> Demon Hunter Talents
        ["Soul Rending"] = {class = "DEMONHUNTER", level = 104},
        ["Fel Eruption"] = {class = "DEMONHUNTER", level = 106},
        --> Havoc
        ["Blind Fury"] = {class = "DEMONHUNTER", level = 99},
        ["Felblade"] = {class = "DEMONHUNTER", level = 99},
        ["Chaos Cleave"] = {class = "DEMONHUNTER", level = 102},
        ["Fel Mastery"] = {class = "DEMONHUNTER", level = 99},
        ["Demon Blades"] = {class = "DEMONHUNTER", level = 100},
        ["Demonic Appetite"] = {class = "DEMONHUNTER", level = 100},
        ["Prepared"] = {class = "DEMONHUNTER", level = 100},
        ["Bloodlet"] = {class = "DEMONHUNTER", level = 102},
        ["First Blood"] = {class = "DEMONHUNTER", level = 102},
        ["Desperate Instincts"] = {class = "DEMONHUNTER", level = 104},
        ["Netherwalk"] = {class = "DEMONHUNTER", level = 104},
        ["Momentum"] = {class = "DEMONHUNTER", level = 106},
        ["Nemesis"] = {class = "DEMONHUNTER", level = 106},
        ["Master of the Glaive"] = {class = "DEMONHUNTER", level = 108},
        ["Demon Reborn"] = {class = "DEMONHUNTER", level = 108},
        ["Unleashed Power"] = {class = "DEMONHUNTER", level = 108},
        ["Chaos Blades"] = {class = "DEMONHUNTER", level = 110},
        ["Demonic"] = {class = "DEMONHUNTER", level = 110},
        ["Fel Barrage"] = {class = "DEMONHUNTER", level = 110},
        --> Vengeance
        ["Abyssal Strike"] = {class = "DEMONHUNTER", level = 99},
        ["Agonizing Flames"] = {class = "DEMONHUNTER", level = 99},
        ["Razor Spikes"] = {class = "DEMONHUNTER", level = 99},
        ["Burning Alive"] = {class = "DEMONHUNTER", level = 100},
        ["Fallout"] = {class = "DEMONHUNTER", level = 100},
        ["Feast of Souls"] = {class = "DEMONHUNTER", level = 100},
        ["Flame Crash"] = {class = "DEMONHUNTER", level = 102},
        ["Gluttony"] = {class = "DEMONHUNTER", level = 102},
        ["Feed the Demon"] = {class = "DEMONHUNTER", level = 104},
        ["Fracture"] = {class = "DEMONHUNTER", level = 104},
        ["Concentrated Sigils"] = {class = "DEMONHUNTER", level = 106},
        ["Quickened Sigils"] = {class = "DEMONHUNTER", level = 106},
        ["Blade Turning"] = {class = "DEMONHUNTER", level = 108},
        ["Fel Devastation"] = {class = "DEMONHUNTER", level = 108},
        ["Spirit Bomb"] = {class = "DEMONHUNTER", level = 108},
        ["Demonic Infusion"] = {class = "DEMONHUNTER", level = 108},
        ["Last Resort"] = {class = "DEMONHUNTER", level = 110},
        ["Soul Barrier"] = {class = "DEMONHUNTER", level = 110},
        --> Demon Hunter PvP Talents
        ["Mana Break"] = {class = "DEMONHUNTER", level = 110},
        ["Reverse Magic"] = {class = "DEMONHUNTER", level = 110},
        ["Demonic Trample"] = {class = "DEMONHUNTER", level = 110},
        ["Illidan's Grasp"] = {class = "DEMONHUNTER", level = 110},
        ["Eye of Leotheras"] = {class = "DEMONHUNTER", level = 110},
        ["Rain from Above"] = {class = "DEMONHUNTER", level = 110},
        ["Mana Rift"] = {class = "DEMONHUNTER", level = 110},
        --> Druid Abilities
        ["Cat Form"] = {class = "DRUID", level = 1},
        ["Feline Grace"] = {class = "DRUID", level = 6},
        ["Bear Form"] = {class = "DRUID", level = 8},
        ["Clearcasting"] = {class = "DRUID", level = 10},
        ["Moonfire"] = {class = "DRUID", level = 10},
        ["Growl"] = {class = "DRUID", level = 13},
        ["Dreamwalk"] = {class = "DRUID", level = 14},
        ["Revive"] = {class = "DRUID", level = 14},
        ["Teleport: Moonglade"] = {class = "DRUID", level = 14},
        ["Travel Form"] = {class = "DRUID", level = 18},
        ["Sunfire"] = {class = "DRUID", level = 18},
        ["Thrash"] = {class = "DRUID", level = 18},
        ["Entangling Roots"] = {class = "DRUID", level = 10},
        ["Charm Woodland Creature"] = {class = "DRUID", level = 40},
        ["Flap"] = {class = "DRUID", level = 40},
        ["Stag Form"] = {class = "DRUID", level = 40},
        ["Rebirth"] = {class = "DRUID", level = 56},
        ["Flight Form"] = {class = "DRUID", level = 58},
        --> Druid Artifact Traits
        ["Ashamane's Frenzy"] = {class = "DRUID", level = 100},
        ["Essence of G'Hanir"] = {class = "DRUID", level = 100},
        ["New Moon"] = {class = "DRUID", level = 100},
        ["Rage of the Sleeper"] = {class = "DRUID", level = 100},
        --> Druid Specialization
        --> Balance/Feral/Guardian/Restoration
        ["Prowl"] = {class = "DRUID", level = 5},
        --> Balance/Restoration
        ["Innervate"] = {class = "DRUID", level = 54},
        --> Balance/Feral/Guardian
        ["Regrowth"] = {class = "DRUID", level = 5},
        ["Remove Corruption"] = {class = "DRUID", level = 18},
        --> Balance/Guardian/Restoration
        ["Barkskin"] = {class = "DRUID", level = 36},
        --> Feral/Guardian
        ["Nurturing Instinct"] = {class = "DRUID", level = 10},
        ["Swipe"] = {class = "DRUID", level = 32},
        ["Survival Instincts"] = {class = "DRUID", level = 40},
        ["Skull Bash"] = {class = "DRUID", level = 64},
        ["Stampeding Roar"] = {class = "DRUID", level = 83},
        --> Balance
        ["Astral Influence"] = {class = "DRUID", level = 10},
        ["Solar Wrath"] = {class = "DRUID", level = 10},
        ["Starsurge"] = {class = "DRUID", level = 12},
        ["Lunar Strike"] = {class = "DRUID", level = 12},
        ["Moonkin Form"] = {class = "DRUID", level = 16},
        ["Solar Beam"] = {class = "DRUID", level = 28},
        ["Starfall"] = {class = "DRUID", level = 76},
        ["Celestial Alignment"] = {class = "DRUID", level = 64},
        ["Starlight"] = {class = "DRUID", level = 78},
        --> Feral
        ["Shred"] = {class = "DRUID", level = 1},
        ["Ferocious Bite"] = {class = "DRUID", level = 6},
        ["Rake"] = {class = "DRUID", level = 6},
        ["Feline Swiftness"] = {class = "DRUID", level = 10},
        ["Tiger's Fury"] = {class = "DRUID", level = 12},
        ["Rip"] = {class = "DRUID", level = 20},
        ["Predatory Swiftness"] = {class = "DRUID", level = 28},
        ["Omen of Clarity"] = {class = "DRUID", level = 38},
        ["Infected Wounds"] = {class = "DRUID", level = 40},
        ["Berserk"] = {class = "DRUID", level = 48},
        ["Maim"] = {class = "DRUID", level = 72},
        ["Razor Claws"] = {class = "DRUID", level = 78},
        --> Guardian
        ["Mangle"] = {class = "DRUID", level = 6},
        ["Maul"] = {class = "DRUID", level = 10},
        ["Thick Hide"] = {class = "DRUID", level = 10},
        ["Incapacitating Roar"] = {class = "DRUID", level = 28},
        ["Gore"] = {class = "DRUID", level = 34},
        ["Ironfur"] = {class = "DRUID", level = 44},
        ["Frenzied Regeneration"] = {class = "DRUID", level = 50},
        ["Mark of Ursol"] = {class = "DRUID", level = 72},
        ["Nature's Guardian"] = {class = "DRUID", level = 78},
        --> Restoration
        ["Rejuvenation"] = {class = "DRUID", level = 12},
        ["Swiftmend"] = {class = "DRUID", level = 12},
        ["Nature's Cure"] = {class = "DRUID", level = 18},
        ["Healing Touch"] = {class = "DRUID", level = 26},
        ["Living Seed"] = {class = "DRUID", level = 28},
        ["Lifebloom"] = {class = "DRUID", level = 32},
        ["Revitalize"] = {class = "DRUID", level = 44},
        ["Ursol's Vortex"] = {class = "DRUID", level = 48},
        ["Ironbark"] = {class = "DRUID", level = 52},
        ["Wild Growth"] = {class = "DRUID", level = 64},
        ["Tranquility"] = {class = "DRUID", level = 72},
        ["Harmony"] = {class = "DRUID", level = 78},
        ["Efflorescence"] = {class = "DRUID", level = 82},
        --> Druid Talents
        ["Wild Charge"] = {class = "DRUID", level = 15},
        ["Mass Entanglement"] = {class = "DRUID", level = 60},
        ["Mighty Bash"] = {class = "DRUID", level = 60},
        ["Typhoon"] = {class = "DRUID", level = 60},
        --> Balance/Feral/Restoration
        ["Guardian Affinity"] = {class = "DRUID", level = 45},
        ["Displacer Beast"] = {class = "DRUID", level = 30},
        --> Balance/Feral/Guardian
        ["Renewal"] = {class = "DRUID", level = 30},
        ["Restoration Affinity"] = {class = "DRUID", level = 45},
        ["Soul of the Forest"] = {class = "DRUID", level = 75},
        --> Feral/Guardian
        ["Balance Affinity"] = {class = "DRUID", level = 45},
        ["Feral Affinity"] = {class = "DRUID", level = 45},
        --> Balance
        ["Force of Nature"] = {class = "DRUID", level = 15},
        ["Starlord"] = {class = "DRUID", level = 15},
        ["Warrior of Elune"] = {class = "DRUID", level = 15},
        ["Incarnation: Chosen of Elune"] = {class = "DRUID", level = 75},
        ["Stellar Flare"] = {class = "DRUID", level = 75},
        ["Astral Communion"] = {class = "DRUID", level = 90},
        ["Blessing of the Ancients"] = {class = "DRUID", level = 90},
        ["Shooting Stars"] = {class = "DRUID", level = 90},
        ["Fury of Elune"] = {class = "DRUID", level = 100},
        ["Nature's Balance"] = {class = "DRUID", level = 100},
        ["Stellar Drift"] = {class = "DRUID", level = 100},
        --> Feral
        ["Blood Scent"] = {class = "DRUID", level = 15},
        ["Lunar Inspiration"] = {class = "DRUID", level = 15},
        ["Predator"] = {class = "DRUID", level = 15},
        ["Incarnation: King of the Jungle"] = {class = "DRUID", level = 75},
        ["Jagged Wounds"] = {class = "DRUID", level = 75},
        ["Brutal Slash"] = {class = "DRUID", level = 90},
        ["Sabertooth"] = {class = "DRUID", level = 90},
        ["Savage Roar"] = {class = "DRUID", level = 90},
        ["Bloodtalons"] = {class = "DRUID", level = 100},
        ["Elune's Guidance"] = {class = "DRUID", level = 100},
        --> Guardian
        ["Blood Frenzy"] = {class = "DRUID", level = 15},
        ["Brambles"] = {class = "DRUID", level = 15},
        ["Bristling Fur"] = {class = "DRUID", level = 15},
        ["Guttural Roars"] = {class = "DRUID", level = 30},
        ["Intimidating Roar"] = {class = "DRUID", level = 30},
        ["Galactic Guardian"] = {class = "DRUID", level = 75},
        ["Incarnation: Guardian of Ursoc"] = {class = "DRUID", level = 75},
        ["Earthwarden"] = {class = "DRUID", level = 90},
        ["Guardian of Elune"] = {class = "DRUID", level = 90},
        ["Survival of the Fittest"] = {class = "DRUID", level = 90},
        ["Lunar Beam"] = {class = "DRUID", level = 100},
        ["Pulverize"] = {class = "DRUID", level = 100},
        ["Rend and Tear"] = {class = "DRUID", level = 100},
        --> Restoration
        ["Abundance"] = {class = "DRUID", level = 15},
        ["Cenarion Ward"] = {class = "DRUID", level = 15},
        ["Prosperity"] = {class = "DRUID", level = 15},
        ["Cultivation"] = {class = "DRUID", level = 75},
        ["Incarnation: Tree of Life"] = {class = "DRUID", level = 75},
        ["Germination"] = {class = "DRUID", level = 90},
        ["Inner Peace"] = {class = "DRUID", level = 90},
        ["Spring Blossoms"] = {class = "DRUID", level = 90},
        ["Flourish"] = {class = "DRUID", level = 100},
        ["Stonebark"] = {class = "DRUID", level = 100},
        ["Moment of Clarity"] = {class = "DRUID", level = 100},
        --> Druid PvP Talents
        ["Cyclone"] = {class = "DRUID", level = 100},
        ["Overrun"] = {class = "DRUID", level = 100},
        ["Overgrowth"] = {class = "DRUID", level = 100},
        ["Faerie Swarm"] = {class = "DRUID", level = 100},
        ["Thorns"] = {class = "DRUID", level = 100},
        ["Enraged Maim"] = {class = "DRUID", level = 100},
        --> Hunter Abilities
        ["Call Pet 1"] = {class = "HUNTER", level = 1},
        ["Mend Pet"] = {class = "HUNTER", level = 1},
        ["Revive Pet"] = {class = "HUNTER", level = 1},
        ["Aspect of the Cheetah"] = {class = "HUNTER", level = 5},
        ["Call Pet 2"] = {class = "HUNTER", level = 10},
        ["Control Pet"] = {class = "HUNTER", level = 10},
        ["Dismiss Pet"] = {class = "HUNTER", level = 10},
        ["Tame Beast"] = {class = "HUNTER", level = 10},
        ["Feed Pet"] = {class = "HUNTER", level = 11},
        ["Beast Lore"] = {class = "HUNTER", level = 12},
        ["Eagle Eye"] = {class = "HUNTER", level = 16},
        ["Feign Death"] = {class = "HUNTER", level = 32},
        ["Wake Up"] = {class = "HUNTER", level = 32},
        ["Call Pet 3"] = {class = "HUNTER", level = 42},
        ["Flare"] = {class = "HUNTER", level = 38},
        ["Aspect of the Chameleon"] = {class = "HUNTER", level = 40},
        ["Fetch"] = {class = "HUNTER", level = 40},
        ["Fireworks"] = {class = "HUNTER", level = 40},
        ["Play Dead"] = {class = "HUNTER", level = 40},
        ["Aspect of the Turtle"] = {class = "HUNTER", level = 50},
        ["Call Pet 4"] = {class = "HUNTER", level = 62},
        ["Call Pet 5"] = {class = "HUNTER", level = 82},
        --> Hunter Artifact Traits
        ["Fury of the Eagle"] = {class = "HUNTER", level = 100},
        ["Titan's Thunder"] = {class = "HUNTER", level = 100},
        ["Windburst"] = {class = "HUNTER", level = 100},
        --> Hunter Specialization
        --> Beast Mastery/Marksmanship
        ["Concussive Shot"] = {class = "HUNTER", level = 8},
        ["Disengage"] = {class = "HUNTER", level = 45},
        ["Counter Shot"] = {class = "HUNTER", level = 24},
        ["Multi-Shot"] = {class = "HUNTER", level = 28},
        ["Misdirection"] = {class = "HUNTER", level = 42},
        --> Beast Mastery/Marksmanship/Survival
        ["Freezing Trap"] = {class = "HUNTER", level = 28},
        ["Exhilaration"] = {class = "HUNTER", level = 36},
        ["Tar Trap"] = {class = "HUNTER", level = 36},
        --> Beast Mastery
        ["Cobra Shot"] = {class = "HUNTER", level = 1},
        ["Kill Command"] = {class = "HUNTER", level = 3},
        ["Dire Beast"] = {class = "HUNTER", level = 10},
        ["Exotic Beasts"] = {class = "HUNTER", level = 10},
        ["Aspect of the Wild"] = {class = "HUNTER", level = 18},
        ["Wild Call"] = {class = "HUNTER", level = 22},
        ["Beast Cleave"] = {class = "HUNTER", level = 29},
        ["Bestial Wrath"] = {class = "HUNTER", level = 40},
        ["Kindred Spirits"] = {class = "HUNTER", level = 44},
        ["Master of Beasts"] = {class = "HUNTER", level = 78},
        --> Marksmanship
        ["Aimed Shot"] = {class = "HUNTER", level = 10},
        ["Arcane Shot"] = {class = "HUNTER", level = 10},
        ["Hunter's Mark"] = {class = "HUNTER", level = 18},
        ["Marked Shot"] = {class = "HUNTER", level = 18},
        ["Bursting Shot"] = {class = "HUNTER", level = 22},
        ["Hunting Party"] = {class = "HUNTER", level = 34},
        ["Trueshot"] = {class = "HUNTER", level = 39},
        ["Marksman's Focus"] = {class = "HUNTER", level = 44},
        ["Bombardment"] = {class = "HUNTER", level = 62},
        ["Sniper Training"] = {class = "HUNTER", level = 78},
        --> Survival
        ["Flanking Strike"] = {class = "HUNTER", level = 10},
        ["Raptor Strike"] = {class = "HUNTER", level = 10},
        ["Wing Clip"] = {class = "HUNTER", level = 10},
        ["Survivalist"] = {class = "HUNTER", level = 16},
        ["Mongoose Bite"] = {class = "HUNTER", level = 18},
        ["Hatchet Toss"] = {class = "HUNTER", level = 19},
        ["Harpoon"] = {class = "HUNTER", level = 22},
        ["Muzzle"] = {class = "HUNTER", level = 24},
        ["Lacerate"] = {class = "HUNTER", level = 26},
        ["Aspect of the Eagle"] = {class = "HUNTER", level = 44},
        ["Explosive Trap"] = {class = "HUNTER", level = 48},
        ["Carve"] = {class = "HUNTER", level = 54},
        ["Hunting Companion"] = {class = "HUNTER", level = 90},
        --> Hunter Talents
        ["Trailblazer"] = {class = "HUNTER", level = 45},
        ["Posthaste"] = {class = "HUNTER", level = 45},
        --> Beast Mastery/Marksmanship
        ["Farstrider"] = {class = "HUNTER", level = 45},
        ["Binding Shot"] = {class = "HUNTER", level = 75},
        ["Wyvern Sting"] = {class = "HUNTER", level = 75},
        ["Barrage"] = {class = "HUNTER", level = 90},
        ["Volley"] = {class = "HUNTER", level = 90},
        --> Beast Mastery/Survival
        ["Aspect of the Beast"] = {class = "HUNTER", level = 100},
        --> Marksmanship/Survival
        ["Camouflage"] = {class = "HUNTER", level = 75},
        --> Beast Mastery
        ["Big Game Hunter"] = {class = "HUNTER", level = 15},
        ["Dire Stable"] = {class = "HUNTER", level = 15},
        ["Way of the Cobra"] = {class = "HUNTER", level = 15},
        ["Chimaera Shot"] = {class = "HUNTER", level = 30},
        ["Dire Frenzy"] = {class = "HUNTER", level = 30},
        ["Stomp"] = {class = "HUNTER", level = 30},
        ["Bestial Fury"] = {class = "HUNTER", level = 60},
        ["Blink Strikes"] = {class = "HUNTER", level = 60},
        ["One with the Pack"] = {class = "HUNTER", level = 60},
        ["Intimidation"] = {class = "HUNTER", level = 75},
        ["Killer Corba"] = {class = "HUNTER", level = 100},
        ["Stampede"] = {class = "HUNTER", level = 100},
        --> Marksmanship
        ["Careful Aim"] = {class = "HUNTER", level = 15},
        ["Lone Wolf"] = {class = "HUNTER", level = 15},
        ["Steady Focus"] = {class = "HUNTER", level = 15},
        ["Black Arrow"] = {class = "HUNTER", level = 30},
        ["Lock and Load"] = {class = "HUNTER", level = 30},
        ["True Aim"] = {class = "HUNTER", level = 30},
        ["Explosive Shot"] = {class = "HUNTER", level = 60},
        ["Patient Sniper"] = {class = "HUNTER", level = 60},
        ["Sentinal"] = {class = "HUNTER", level = 60},
        ["Piercing Shot"] = {class = "HUNTER", level = 100},
        ["Sidewinders"] = {class = "HUNTER", level = 100},
        ["Trick Shot"] = {class = "HUNTER", level = 100},
        --> Survival
        ["Animal Instincts"] = {class = "HUNTER", level = 15},
        ["Throwing Axes"] = {class = "HUNTER", level = 15},
        ["Way of the Mok'Nathal"] = {class = "HUNTER", level = 15},
        ["A Murder of Crows"] = {class = "HUNTER", level = 30},
        ["Mortal Wounds"] = {class = "HUNTER", level = 30},
        ["Snake Hunter"] = {class = "HUNTER", level = 30},
        ["Caltrops"] = {class = "HUNTER", level = 60},
        ["Improved Traps"] = {class = "HUNTER", level = 60},
        ["Steel Trap"] = {class = "HUNTER", level = 60},
        ["Ranger's Net"] = {class = "HUNTER", level = 75},
        ["Sticky Bomb"] = {class = "HUNTER", level = 75},
        ["Butchery"] = {class = "HUNTER", level = 90},
        ["Dragonsfire Grenade"] = {class = "HUNTER", level = 90},
        ["Serpent Sting"] = {class = "HUNTER", level = 90},
        ["Expert Trapper"] = {class = "HUNTER", level = 100},
        ["Spitting Cobra"] = {class = "HUNTER", level = 100},
        --> Hunter PvP Talents
        ["Master's Call"] = {class = "HUNTER", level = 100},
        ["Spider Sting"] = {class = "HUNTER", level = 100},
        ["Sniper Shot"] = {class = "HUNTER", level = 100},
        ["Interlope"] = {class = "HUNTER", level = 100},
        ["Dire Beast: Basilisk"] = {class = "HUNTER", level = 100},
        ["Dire Beast: Hawk"] = {class = "HUNTER", level = 100},
        ["Hi-Explosive Trap"] = {class = "HUNTER", level = 100},
        ["Tracker's Net"] = {class = "HUNTER", level = 100},
        ["Mending Bandage"] = {class = "HUNTER", level = 100},
        ["Scatter Shot"] = {class = "HUNTER", level = 100},
        --> Mage Abilities
        ["Illusion"] = {class = "MAGE", level = 1},
        ["Frost Nova"] = {class = "MAGE", level = 3},
        ["Blink"] = {class = "MAGE", level = 7},
        ["Polymorph"] = {class = "MAGE", level = 18},
        ["Conjure Refreshment"] = {class = "MAGE", level = 22},
        ["Slow Fall"] = {class = "MAGE", level = 32},
        ["Water Jet"] = {class = "MAGE", level = 32},
        ["Counterspell"] = {class = "MAGE", level = 34},
        ["Ice Block"] = {class = "MAGE", level = 26},
        ["Arcane Linguist"] = {class = "MAGE", level = 58},
        ["Time Warp"] = {class = "MAGE", level = 65},
        ["Spellsteal"] = {class = "MAGE", level = 72},
        ["Portal: Darnassus"] = {class = "MAGE", level = 42},
        ["Portal: Exodar"] = {class = "MAGE", level = 42},
        ["Portal: Ironforge"] = {class = "MAGE", level = 42},
        ["Portal: Orgrimmar"] = {class = "MAGE", level = 42},
        ["Portal: Silvermoon"] = {class = "MAGE", level = 42},
        ["Portal: Stormwind"] = {class = "MAGE", level = 42},
        ["Portal: Theramore"] = {class = "MAGE", level = 42},
        ["Portal: Thunder Bluff"] = {class = "MAGE", level = 42},
        ["Portal: Undercity"] = {class = "MAGE", level = 42},
        ["Portal: Stonard"] = {class = "MAGE", level = 52},
        ["Portal: Shattrath"] = {class = "MAGE", level = 66},
        ["Ancient Portal: Dalaran"] = {class = "MAGE", level = 74},
        ["Portal: Dalaran - Broken Isles"] = {class = "MAGE", level = 74},
        ["Portal: Dalaran - Northrend"] = {class = "MAGE", level = 74},
        ["Portal: Tol Barad"] = {class = "MAGE", level = 85},
        ["Portal: Vale of Eternal Blossoms"] = {class = "MAGE", level = 90},
        ["Portal: Stormshield"] = {class = "MAGE", level = 92},
        ["Portal: Warspear"] = {class = "MAGE", level = 92},
        ["Teleport: Hall of the Guardian"] = {class = "MAGE", level = 14},
        ["Teleport: Darnassus"] = {class = "MAGE", level = 17},
        ["Teleport: Exodar"] = {class = "MAGE", level = 17},
        ["Teleport: Ironforge"] = {class = "MAGE", level = 17},
        ["Teleport: Orgrimmar"] = {class = "MAGE", level = 17},
        ["Teleport: Silvermoon"] = {class = "MAGE", level = 17},
        ["Teleport: Stormwind"] = {class = "MAGE", level = 17},
        ["Teleport: Theramore"] = {class = "MAGE", level = 17},
        ["Teleport: Thunder Bluff"] = {class = "MAGE", level = 17},
        ["Teleport: Undercity"] = {class = "MAGE", level = 17},
        ["Teleport: Stonard"] = {class = "MAGE", level = 52},
        ["Teleport: Shattrath"] = {class = "MAGE", level = 62},
        ["Ancient Teleport: Dalaran"] = {class = "MAGE", level = 71},
        ["Teleport: Dalaran - Broken Isles"] = {class = "MAGE", level = 71},
        ["Teleport: Dalaran - Northrend"] = {class = "MAGE", level = 71},
        ["Teleport: Tol Barad"] = {class = "MAGE", level = 85},
        ["Teleport: Vale of Eternal Blossoms"] = {class = "MAGE", level = 90},
        ["Teleport: Stormshield"] = {class = "MAGE", level = 92},
        ["Teleport: Warspear"] = {class = "MAGE", level = 92},
        --> Mage Artifact Traits
        ["Mark of Aluneth"] = {class = "MAGE", level = 100},
        ["Phoenix Flames"] = {class = "MAGE", level = 100},
        ["Ebonbolt"] = {class = "MAGE", level = 100},
        --> Mage Specialization
        --> Fire/Frost
        ["Invisibility"] = {class = "MAGE", level = 50},
        --> Arcane+
        ["Arcane Blast"] = {class = "MAGE", level = 10},
        ["Arcane Barrage"] = {class = "MAGE", level = 10},
        ["Arcane Charge"] = {class = "MAGE", level = 10},
        ["Arcane Missiles"] = {class = "MAGE", level = 14},
        ["Displacement"] = {class = "MAGE", level = 24},
        ["Prismatic Barrier"] = {class = "MAGE", level = 26},
        ["Arcane Explosion"] = {class = "MAGE", level = 28},
        ["Slow"] = {class = "MAGE", level = 36},
        ["Evocation"] = {class = "MAGE", level = 40},
        ["Arcane Power"] = {class = "MAGE", level = 44},
        ["Greater Invisibility"] = {class = "MAGE", level = 50},
        ["Presence of Mind"] = {class = "MAGE", level = 15},
        ["Savant"] = {class = "MAGE", level = 78},
        --> Fire
        ["Critical Mass"] = {class = "MAGE", level = 10},
        ["Fireball"] = {class = "MAGE", level = 10},
        ["Pyroblast"] = {class = "MAGE", level = 10},
        ["Fire Blast"] = {class = "MAGE", level = 11},
        ["Hot Streak"] = {class = "MAGE", level = 12},
        ["Enhanced Pyrotechnics"] = {class = "MAGE", level = 14},
        ["Dragon's Breath"] = {class = "MAGE", level = 24},
        ["Blazing Barrier"] = {class = "MAGE", level = 26},
        ["Combustion"] = {class = "MAGE", level = 28},
        ["Molten Armor"] = {class = "MAGE", level = 36},
        ["Scorch"] = {class = "MAGE", level = 40},
        ["Flamestrike"] = {class = "MAGE", level = 44},
        ["Cauterize"] = {class = "MAGE", level = 52},
        ["Ignite"] = {class = "MAGE", level = 80},
        --> Frost
        ["Frostbolt"] = {class = "MAGE", level = 1},
        ["Ice Lance"] = {class = "MAGE", level = 5},
        ["Summon Water Elemental"] = {class = "MAGE", level = 10},
        ["Shatter"] = {class = "MAGE", level = 12},
        ["Fingers of Frost"] = {class = "MAGE", level = 24},
        ["Ice Barrier"] = {class = "MAGE", level = 16},
        ["Brain Freeze"] = {class = "MAGE", level = 28},
        ["Cone of Cold"] = {class = "MAGE", level = 28},
        ["Icy Veins"] = {class = "MAGE", level = 40},
        ["Blizzard"] = {class = "MAGE", level = 44},
        ["Cold Snap"] = {class = "MAGE", level = 30},
        ["Icicles"] = {class = "MAGE", level = 78},
        ["Frozen Orb"] = {class = "MAGE", level = 83},
        --> Mage Talents
        ["Shimmer"] = {class = "MAGE", level = 30},
        ["Incanter's Flow"] = {class = "MAGE", level = 45},
        ["Mirror Image"] = {class = "MAGE", level = 45},
        ["Rune of Power"] = {class = "MAGE", level = 45},
        ["Ice Ward"] = {class = "MAGE", level = 75},
        ["Ring of Frost"] = {class = "MAGE", level = 75},
        ["Unstable Magic"] = {class = "MAGE", level = 90},
        --> Arcane
        ["Amplification"] = {class = "MAGE", level = 15},
        ["Arcane Familiar"] = {class = "MAGE", level = 15},
        ["Words of Power"] = {class = "MAGE", level = 15},
        ["Mana Shield"] = {class = "MAGE", level = 30},
        ["Slipstream"] = {class = "MAGE", level = 30},
        ["Charged Up"] = {class = "MAGE", level = 60},
        ["Resonance"] = {class = "MAGE", level = 60},
        ["Supernova"] = {class = "MAGE", level = 60},
        ["Chrono Shift"] = {class = "MAGE", level = 75},
        ["Erosion"] = {class = "MAGE", level = 90},
        ["Nether Tempest"] = {class = "MAGE", level = 90},
        ["Arcane Orb"] = {class = "MAGE", level = 100},
        ["Overpowered"] = {class = "MAGE", level = 100},
        ["Temporal Flux"] = {class = "MAGE", level = 100},
        --> Fire
        ["Conflagration"] = {class = "MAGE", level = 15},
        ["Firestarter"] = {class = "MAGE", level = 15},
        ["Pyromaniac"] = {class = "MAGE", level = 15},
        ["Blast Wave"] = {class = "MAGE", level = 30},
        ["Blazing Soul"] = {class = "MAGE", level = 30},
        ["Alexstrasza's Fury"] = {class = "MAGE", level = 60},
        ["Controlled Burn"] = {class = "MAGE", level = 60},
        ["Flame On"] = {class = "MAGE", level = 60},
        ["Frenetic Speed"] = {class = "MAGE", level = 75},
        ["Flame Patch"] = {class = "MAGE", level = 90},
        ["Living Bomb"] = {class = "MAGE", level = 90},
        ["Cinderstorm"] = {class = "MAGE", level = 100},
        ["Kindling"] = {class = "MAGE", level = 100},
        ["Meteor"] = {class = "MAGE", level = 100},
        --> Frost
        ["Bone Chilling"] = {class = "MAGE", level = 15},
        ["Lonely Winter"] = {class = "MAGE", level = 15},
        ["Ray of Frost"] = {class = "MAGE", level = 15},
        ["Glacial Insulation"] = {class = "MAGE", level = 30},
        ["Ice Floes"] = {class = "MAGE", level = 30},
        ["Frozen Touch"] = {class = "MAGE", level = 60},
        ["Ice Nova"] = {class = "MAGE", level = 60},
        ["Frigid Winds"] = {class = "MAGE", level = 75},
        ["Arctic Gale"] = {class = "MAGE", level = 90},
        ["Frost Bomb"] = {class = "MAGE", level = 90},
        ["Comet Storm"] = {class = "MAGE", level = 100},
        ["Glacial Spike"] = {class = "MAGE", level = 100},
        ["Thermal Void"] = {class = "MAGE", level = 100},
        --> Mage PvP Talents
        ["Temporal Shield"] = {class = "MAGE", level = 100},
        ["Ice Form"] = {class = "MAGE", level = 100},
        ["Mass Invisibility"] = {class = "MAGE", level = 100},
        ["Greater Pyroblast"] = {class = "MAGE", level = 100},
        --> Monk Abilities
        ["Tiger Palm"] = {class = "MONK", level = 1},
        ["Zen Flight"] = {class = "MONK", level = 1},
        ["Blackout Kick"] = {class = "MONK", level = 3},
        ["Roll"] = {class = "MONK", level = 5},
        ["Provoke"] = {class = "MONK", level = 13},
        ["Resuscitate"] = {class = "MONK", level = 14},
        ["Zen Pilgrimage"] = {class = "MONK", level = 20},
        ["Zen Pilgrimage: Return"] = {class = "MONK", level = 30},
        ["Crackling Jade Lightning"] = {class = "MONK", level = 36},
        ["Paralysis"] = {class = "MONK", level = 48},
        ["Transcendence"] = {class = "MONK", level = 87},
        ["Transcendence: Transfer"] = {class = "MONK", level = 87},
        --> Monk Artifact Traits
        ["Exploding Keg"] = {class = "MONK", level = 100},
        ["Sheilun's Gift"] = {class = "MONK", level = 100},
        ["Strike of the Windlord"] = {class = "MONK", level = 100},
        --> Monk Specialization
        --> Brewmaster/Mistweaver/Windwalker
        ["Effuse"] = {class = "MONK", level = 8},
        ["Detox"] = {class = "MONK", level = 22},
        --> Brewmaster/Windwalker
        ["Spear Hand Strike"] = {class = "MONK", level = 32},
        --> Mistweaver/Windwalker
        ["Rising Sun Kick"] = {class = "MONK", level = 18},
        ["Spinning Crane Kick"] = {class = "MONK", level = 46},
        --> Brewmaster
        ["Blackout Strike"] = {class = "MONK", level = 3},
        ["Keg Smash"] = {class = "MONK", level = 10},
        ["Stagger"] = {class = "MONK", level = 10},
        ["Breath of Fire"] = {class = "MONK", level = 18},
        ["Expel Harm"] = {class = "MONK", level = 26},
        ["Ironskin Brew"] = {class = "MONK", level = 28},
        ["Gift of the Ox"] = {class = "MONK", level = 40},
        ["Celestial Fortune"] = {class = "MONK", level = 45},
        ["Purifying Brew"] = {class = "MONK", level = 54},
        ["Zen Meditation"] = {class = "MONK", level = 65},
        ["Elusive Brawler"] = {class = "MONK", level = 78},
        --> Mistweaver
        ["Enveloping Mist"] = {class = "MONK", level = 10},
        ["Soothing Mist"] = {class = "MONK", level = 10},
        ["Teachings of the Monastery"] = {class = "MONK", level = 10},
        ["Renewing Mist"] = {class = "MONK", level = 24},
        ["Life Cocoon"] = {class = "MONK", level = 28},
        ["Vivify"] = {class = "MONK", level = 32},
        ["Reawaken"] = {class = "MONK", level = 44},
        ["Thunder Focus Tea"] = {class = "MONK", level = 54},
        ["Essence Font"] = {class = "MONK", level = 58},
        ["Revival"] = {class = "MONK", level = 65},
        ["Gust of Mist"] = {class = "MONK", level = 78},
        --> Windwalker
        ["Stance of the Fierce Tiger"] = {class = "MONK", level = 1},
        ["Combo Breaker"] = {class = "MONK", level = 10},
        ["Flying Serpent Kick"] = {class = "MONK", level = 10},
        ["Cyclone Strikes"] = {class = "MONK", level = 12},
        ["Windwalking"] = {class = "MONK", level = 12},
        ["Combat Conditioning"] = {class = "MONK", level = 20},
        ["Touch of Karma"] = {class = "MONK", level = 24},
        ["Touch of Death"] = {class = "MONK", level = 24},
        ["Disable"] = {class = "MONK", level = 25},
        ["Fists of Fury"] = {class = "MONK", level = 28},
        ["Storm, Earth and Fire"] = {class = "MONK", level = 65},
        ["Combo Strikes"] = {class = "MONK", level = 78},
        --> Monk Talents
        ["Chi Burst"] = {class = "MONK", level = 15},
        ["Chi Wave"] = {class = "MONK", level = 15},
        ["Celerity"] = {class = "MONK", level = 30},
        ["Chi Torpedo"] = {class = "MONK", level = 30},
        ["Tiger's Lust"] = {class = "MONK", level = 30},
        ["Leg Sweep"] = {class = "MONK", level = 60},
        ["Ring of Peace"] = {class = "MONK", level = 60},
        ["Dampen Harm"] = {class = "MONK", level = 75},
        --> Brewmaster/Windwalker
        ["Eye of the Tiger"] = {class = "MONK", level = 15},
        ["Summon Black Ox Statue"] = {class = "MONK", level = 60},
        ["Rushing Jade Wind"] = {class = "MONK", level = 90},
        --> Windwalker/Mistweaver
        ["Diffuse Magic"] = {class = "MONK", level = 75},
        --> Brewmaster
        ["Black Ox Brew"] = {class = "MONK", level = 45},
        ["Gift of the Mists"] = {class = "MONK", level = 45},
        ["Light Brewing"] = {class = "MONK", level = 45},
        ["Mystic Vitality"] = {class = "MONK", level = 75},
        ["Invoke Niuzao, the Black Ox"] = {class = "MONK", level = 90},
        ["Special Delivery"] = {class = "MONK", level = 90},
        ["Blackout Combo"] = {class = "MONK", level = 100},
        ["Elusive Dance"] = {class = "MONK", level = 100},
        ["High Tolerance"] = {class = "MONK", level = 100},
        --> Mistweaver
        ["Zen Pulse"] = {class = "MONK", level = 15},
        ["Lifecycles"] = {class = "MONK", level = 45},
        ["Mist Wrap"] = {class = "MONK", level = 45},
        ["Spirit of the Crane"] = {class = "MONK", level = 45},
        ["Song of Chi-Ji"] = {class = "MONK", level = 60},
        ["Invoke Chi-Ji, the Red Crane"] = {class = "MONK", level = 90},
        ["Refreshing Jade Wind"] = {class = "MONK", level = 90},
        ["Summon Jade Serpent Statue"] = {class = "MONK", level = 90},
        ["Focused Thunder"] = {class = "MONK", level = 100},
        ["Mana Tea"] = {class = "MONK", level = 100},
        ["Rising Thunder"] = {class = "MONK", level = 100},
        --> Windwalker
        ["Ascension"] = {class = "MONK", level = 45},
        ["Energizing Elixir"] = {class = "MONK", level = 45},
        ["Power Strikes"] = {class = "MONK", level = 45},
        ["Hit Combo"] = {class = "MONK", level = 90},
        ["Invoke Xuen, the White Tiger"] = {class = "MONK", level = 90},
        ["Chi Orbit"] = {class = "MONK", level = 100},
        ["Serenity"] = {class = "MONK", level = 100},
        ["Whirling Dragon Punch"] = {class = "MONK", level = 100},
        --> Monk PvP Talents
        ["Fortifying Brew"] = {class = "MONK", level = 100},
        ["Tigereye Brew"] = {class = "MONK", level = 100},
        ["Guard"] = {class = "MONK", level = 100},
        ["Double Barrel"] = {class = "MONK", level = 100},
        ["Mighty Ox Kick"] = {class = "MONK", level = 100},
        ["Healing Sphere"] = {class = "MONK", level = 100},
        ["Craft: Nimble Brew"] = {class = "MONK", level = 100},
        ["Way of the Crane"] = {class = "MONK", level = 100},
        --> Paladin Abilities
        ["Boundless Conviction"] = {class = "PALADIN", level = 1},
        ["Crusader Strike"] = {class = "PALADIN", level = 1},
        ["Judgment"] = {class = "PALADIN", level = 3},
        ["Hand of Reckoning"] = {class = "PALADIN", level = 13},
        ["Redemption"] = {class = "PALADIN", level = 14},
        ["Divine Shield"] = {class = "PALADIN", level = 18},
        ["Summon Exarch's Elekk"] = {class = "PALADIN", level = 20},
        ["Summon Sunwalker Kodo"] = {class = "PALADIN", level = 20},
        ["Summon Thalassian Warhorse"] = {class = "PALADIN", level = 20},
        ["Summon Warhorse"] = {class = "PALADIN", level = 20},
        ["Lay on Hands"] = {class = "PALADIN", level = 22},
        ["Divine Steed"] = {class = "PALADIN", level = 28},
        ["Contemplation"] = {class = "PALADIN", level = 40},
        ["Heart of the Crusader"] = {class = "PALADIN", level = 40},
        ["Summon Charger"] = {class = "PALADIN", level = 40},
        ["Summon Great Exarch's Elekk"] = {class = "PALADIN", level = 40},
        ["Summon Great Sunwalker Kodo"] = {class = "PALADIN", level = 40},
        ["Summon Thalassian Charger"] = {class = "PALADIN", level = 40},
        ["Blessing of Freedom"] = {class = "PALADIN", level = 52},
        --> Paladin Artifact Traits
        ["Eye of Tyr"] = {class = "PALADIN", level = 100},
        ["Tyr's Deliverance"] = {class = "PALADIN", level = 100},
        ["Wake of Ashes"] = {class = "PALADIN", level = 100},
        --> Paladin Specialization
        --> Holy/Protection/Retribution
        ["Hammer of Justice"] = {class = "PALADIN", level = 5},
        ["Flash of Light"] = {class = "PALADIN", level = 8},
        ["Blessing of Protection"] = {class = "PALADIN", level = 48},
        ["Avenging Wrath"] = {class = "PALADIN", level = 72},
        --> Holy/Retribution
        ["Divine Protection"] = {class = "PALADIN", level = 26},
        ["Blessing of Sacrifice"] = {class = "PALADIN", level = 56},
        --> Protection/Retribution
        ["Cleanse Toxins"] = {class = "PALADIN", level = 21},
        ["Rebuke"] = {class = "PALADIN", level = 36},
        --> Holy
        ["Light of the Martyr"] = {class = "PALADIN", level = 1},
        ["Holy Shock"] = {class = "PALADIN", level = 10},
        ["Cleanse"] = {class = "PALADIN", level = 21},
        ["Beacon of Light"] = {class = "PALADIN", level = 36},
        ["Infusion of Light"] = {class = "PALADIN", level = 50},
        ["Righteousness"] = {class = "PALADIN", level = 50},
        ["Holy Light"] = {class = "PALADIN", level = 54},
        ["Light of Dawn"] = {class = "PALADIN", level = 58},
        ["Aura Mastery"] = {class = "PALADIN", level = 65},
        ["Lightbringer"] = {class = "PALADIN", level = 78},
        --> Protection
        ["Avenger's Shield"] = {class = "PALADIN", level = 10},
        ["Guarded by the Light"] = {class = "PALADIN", level = 10},
        ["Hammer of the Righteous"] = {class = "PALADIN", level = 10},
        ["Righteous Fury"] = {class = "PALADIN", level = 10},
        ["Light of the Protector"] = {class = "PALADIN", level = 12},
        ["Judgments of the Wise"] = {class = "PALADIN", level = 28},
        ["Shield of the Righteous"] = {class = "PALADIN", level = 38},
        ["Grand Crusader"] = {class = "PALADIN", level = 50},
        ["Ardent Defender"] = {class = "PALADIN", level = 65},
        ["Divine Bulwark"] = {class = "PALADIN", level = 78},
        ["Guardian of the Ancient Kings"] = {class = "PALADIN", level = 83},
        --> Retribution
        ["Templar's Verdict"] = {class = "PALADIN", level = 10},
        ["Blade of Justice"] = {class = "PALADIN", level = 16},
        ["Shield of Vengeance"] = {class = "PALADIN", level = 24},
        ["Hand of Hindrance"] = {class = "PALADIN", level = 26},
        ["Divine Storm"] = {class = "PALADIN", level = 32},
        ["Greater Blessing of Kings"] = {class = "PALADIN", level = 44},
        ["Greater Blessing of Wisdom"] = {class = "PALADIN", level = 46},
        ["Retribution"] = {class = "PALADIN", level = 56},
        ["Divine Judgment"] = {class = "PALADIN", level = 78},
        --> Paladin Talents
        ["Blinding Light"] = {class = "PALADIN", level = 45},
        ["Repentance"] = {class = "PALADIN", level = 45},
        ["Judgment of Light"] = {class = "PALADIN", level = 90},
        --> Holy/Protection
        --> Holy
        ["Bestow Faith"] = {class = "PALADIN", level = 15},
        ["Crusader's Might"] = {class = "PALADIN", level = 15},
        ["Light's Hammer"] = {class = "PALADIN", level = 15},
        ["Rule of Law"] = {class = "PALADIN", level = 30},
        ["Unbreakable Spirit"] = {class = "PALADIN", level = 30},
        ["Aura of Mercy"] = {class = "PALADIN", level = 60},
        ["Aura of Sacrifice"] = {class = "PALADIN", level = 60},
        ["Devotion Aura"] = {class = "PALADIN", level = 60},
        ["Holy Avenger"] = {class = "PALADIN", level = 75},
        ["Holy Prism"] = {class = "PALADIN", level = 75},
        ["Fervent Martyr"] = {class = "PALADIN", level = 90},
        ["Sanctified Wrath"] = {class = "PALADIN", level = 90},
        ["Beacon of Faith"] = {class = "PALADIN", level = 100},
        ["Beacon of the Lightbringer"] = {class = "PALADIN", level = 100},
        ["Beacon of Virtue"] = {class = "PALADIN", level = 100},
        --> Protection
        ["Bastion of Light"] = {class = "PALADIN", level = 15},
        ["Crusader's Judgment"] = {class = "PALADIN", level = 15},
        ["First Avenger"] = {class = "PALADIN", level = 15},
        ["Blessed Hammer"] = {class = "PALADIN", level = 30},
        ["Consecrated Hammer"] = {class = "PALADIN", level = 30},
        ["Holy Shield"] = {class = "PALADIN", level = 30},
        ["Blessing of Salvation"] = {class = "PALADIN", level = 60},
        ["Blessing of Spellwarding"] = {class = "PALADIN", level = 60},
        ["Retribution Aura"] = {class = "PALADIN", level = 60},
        ["Final Stand"] = {class = "PALADIN", level = 75},
        ["Hand of the Protector"] = {class = "PALADIN", level = 75},
        ["Knight Templar"] = {class = "PALADIN", level = 75},
        ["Aegis of Light"] = {class = "PALADIN", level = 90},
        ["Consecrated Ground"] = {class = "PALADIN", level = 90},
        ["Last Defender"] = {class = "PALADIN", level = 100},
        ["Righteous Protector"] = {class = "PALADIN", level = 100},
        ["Seraphim"] = {class = "PALADIN", level = 100},
        --> Retribution
        ["Consecration"] = {class = "PALADIN", level = 15},
        ["Execution Sentence"] = {class = "PALADIN", level = 15},
        ["Final Verdict"] = {class = "PALADIN", level = 15},
        ["Greater Judgment"] = {class = "PALADIN", level = 30},
        ["The Fires of Justice"] = {class = "PALADIN", level = 30},
        ["Zeal"] = {class = "PALADIN", level = 30},
        ["Fist of Justice"] = {class = "PALADIN", level = 45},
        ["Blade of Wrath"] = {class = "PALADIN", level = 60},
        ["Divine Hammer"] = {class = "PALADIN", level = 60},
        ["Virtue's Blade"] = {class = "PALADIN", level = 60},
        ["Eye for an Eye"] = {class = "PALADIN", level = 75},
        ["Justicar's Vengeance"] = {class = "PALADIN", level = 75},
        ["Word of Glory"] = {class = "PALADIN", level = 75},
        ["Divine Intervention"] = {class = "PALADIN", level = 90},
        ["Judgement of Light"] = {class = "PALADIN", level = 90},
        ["Crusade"] = {class = "PALADIN", level = 100},
        ["Divine Purpose"] = {class = "PALADIN", level = 100},
        ["Holy Wrath"] = {class = "PALADIN", level = 100},
        --> Paladin PvP Talents
        ["Hammer of Reckoning"] = {class = "PALADIN", level = 100},
        ["Blessing of Sanctuary"] = {class = "PALADIN", level = 100},
        ["Divine Favor"] = {class = "PALADIN", level = 100},
        ["Shield of Virtue"] = {class = "PALADIN", level = 100},
        ["Avenging Crusader"] = {class = "PALADIN", level = 100},
        ["Guardian of the Forgotten Queen"] = {class = "PALADIN", level = 100},
        --> Priest Abilities
        ["The Penitent"] = {class = "PRIEST", level = 1},
        ["Smite"] = {class = "PRIEST", level = 1},
        ["Power Word: Barrier"] = {class = "PRIEST", level = 5},
        ["Resurrection"] = {class = "PRIEST", level = 14},
        ["Dispel Magic"] = {class = "PRIEST", level = 26},
        ["Shackle Undead"] = {class = "PRIEST", level = 32},
        ["Mind Control"] = {class = "PRIEST", level = 36},
        ["Fade"] = {class = "PRIEST", level = 38},
        ["Mass Dispel"] = {class = "PRIEST", level = 72},
        --> Priest Artifact Traits
        ["Light of T'uure"] = {class = "PRIEST", level = 100},
        ["Light's Wrath"] = {class = "PRIEST", level = 100},
        ["Void Torrent"] = {class = "PRIEST", level = 100},
        --> Priest Specialization
        --> Discipline/Holy/Shadow
        ["Levitate"] = {class = "PRIEST", level = 28},
        --> Discipline/Holy
        ["Purify"] = {class = "PRIEST", level = 22},
        ["Focused Will"] = {class = "PRIEST", level = 34},
        ["Mass Resurrection"] = {class = "PRIEST", level = 44},
        ["Leap of Faith"] = {class = "PRIEST", level = 83},
        --> Discipline/Shadow
        ["Shadow Mend"] = {class = "PRIEST", level = 1},
        ["Shadow Word: Pain"] = {class = "PRIEST", level = 3},
        ["Power Word: Shield"] = {class = "PRIEST", level = 5},
        ["Psychic Scream"] = {class = "PRIEST", level = 12},
        ["Shadowfiend"] = {class = "PRIEST", level = 42},
        ["Mind Vision"] = {class = "PRIEST", level = 42},
        --> Discipline
        ["Plea"] = {class = "PRIEST", level = 7},
        ["Penance"] = {class = "PRIEST", level = 10},
        ["Atonement"] = {class = "PRIEST", level = 24},
        ["Power Word: Radiance"] = {class = "PRIEST", level = 46},
        ["Rapture"] = {class = "PRIEST", level = 50},
        ["Pain Suppression"] = {class = "PRIEST", level = 56},
        --> Holy
        ["Flash Heal"] = {class = "PRIEST", level = 10},
        ["Renew"] = {class = "PRIEST", level = 10},
        ["Holy Fire"] = {class = "PRIEST", level = 18},
        ["Holy Word: Serenity"] = {class = "PRIEST", level = 18},
        ["Holy Word: Chastise"] = {class = "PRIEST", level = 24},
        ["Spirit of Redemption"] = {class = "PRIEST", level = 29},
        ["Heal"] = {class = "PRIEST", level = 34},
        ["Prayer of Healing"] = {class = "PRIEST", level = 40},
        ["Serendipity"] = {class = "PRIEST", level = 42},
        ["Holy Word: Sanctify"] = {class = "PRIEST", level = 50},
        ["Desperate Prayer"] = {class = "PRIEST", level = 52},
        ["Guardian Spirit"] = {class = "PRIEST", level = 54},
        ["Prayer of Mending"] = {class = "PRIEST", level = 58},
        ["Holy Nova"] = {class = "PRIEST", level = 65},
        ["Divine Hymn"] = {class = "PRIEST", level = 76},
        ["Echo of Light"] = {class = "PRIEST", level = 78},
        --> Shadow
        ["Mind Flay"] = {class = "PRIEST", level = 10},
        ["Void Bolt"] = {class = "PRIEST", level = 10},
        ["Void Eruption"] = {class = "PRIEST", level = 10},
        ["Voidform"] = {class = "PRIEST", level = 10},
        ["Shadowform"] = {class = "PRIEST", level = 12},
        ["Mind Blast"] = {class = "PRIEST", level = 16},
        ["Purify Disease"] = {class = "PRIEST", level = 22},
        ["Vampiric Touch"] = {class = "PRIEST", level = 24},
        ["Mind Sear"] = {class = "PRIEST", level = 76},
        ["Shadow Word: Death"] = {class = "PRIEST", level = 28},
        ["Shadowy Apparitions"] = {class = "PRIEST", level = 34},
        ["Silence"] = {class = "PRIEST", level = 50},
        ["Dispersion"] = {class = "PRIEST", level = 58},
        ["Vampiric Embrace"] = {class = "PRIEST", level = 65},
        ["Madness"] = {class = "PRIEST", level = 78},
        --> Priest Talents
        --> Discipline/Holy
        ["Angelic Feather"] = {class = "PRIEST", level = 30},
        ["Shining Force"] = {class = "PRIEST", level = 45},
        ["Divine Star"] = {class = "PRIEST", level = 90},
        ["Halo"] = {class = "PRIEST", level = 90},
        --> Discipline/Shadow
        ["Body and Soul"] = {class = "PRIEST", level = 30},
        ["Masochism"] = {class = "PRIEST", level = 30},
        ["Dominate Mind"] = {class = "PRIEST", level = 45},
        ["Psychic Voice"] = {class = "PRIEST", level = 45},
        ["Mindbender"] = {class = "PRIEST", level = 60},
        ["Power Infusion"] = {class = "PRIEST", level = 75},
        --> Discipline
        ["Castigation"] = {class = "PRIEST", level = 15},
        ["Schism"] = {class = "PRIEST", level = 15},
        ["Power Word: Solace"] = {class = "PRIEST", level = 60},
        ["Shield Discipline"] = {class = "PRIEST", level = 60},
        ["Clarity of Will"] = {class = "PRIEST", level = 75},
        ["Sanctuary"] = {class = "PRIEST", level = 75},
        ["Shadow Covenant"] = {class = "PRIEST", level = 75},
        ["Purge the Wicked"] = {class = "PRIEST", level = 90},
        ["Grace"] = {class = "PRIEST", level = 100},
        ["Evangelism"] = {class = "PRIEST", level = 100},
        --> Shadow
        ["Twist of Fate"] = {class = "PRIEST", level = 75},
        --> Holy
        ["Enduring Renewal"] = {class = "PRIEST", level = 15},
        ["Enlightenment"] = {class = "PRIEST", level = 15},
        ["Trail of Light"] = {class = "PRIEST", level = 15},
        ["Body and Mind"] = {class = "PRIEST", level = 30},
        ["Perseverance"] = {class = "PRIEST", level = 30},
        ["Afterlife"] = {class = "PRIEST", level = 45},
        ["Censure"] = {class = "PRIEST", level = 45},
        ["Guardian Angel"] = {class = "PRIEST", level = 60},
        ["Light of the Naaru"] = {class = "PRIEST", level = 60},
        ["Symbol of Hope"] = {class = "PRIEST", level = 60},
        ["Binding Heal"] = {class = "PRIEST", level = 75},
        ["Piety"] = {class = "PRIEST", level = 75},
        ["Surge of Light"] = {class = "PRIEST", level = 75},
        ["Divinity"] = {class = "PRIEST", level = 90},
        ["Apotheosis"] = {class = "PRIEST", level = 100},
        ["Benediction"] = {class = "PRIEST", level = 100},
        ["Circle of Healing"] = {class = "PRIEST", level = 100},
        --> Shadow
        ["Fortress of the Mind"] = {class = "PRIEST", level = 15},
        ["Shadow Word: Void"] = {class = "PRIEST", level = 15},
        ["Mania"] = {class = "PRIEST", level = 30},
        ["Lingering Insanity"] = {class = "PRIEST", level = 60},
        ["Reaper of Souls"] = {class = "PRIEST", level = 60},
        ["Void Ray"] = {class = "PRIEST", level = 60},
        ["Auspicious Spirits"] = {class = "PRIEST", level = 75},
        ["San'layn"] = {class = "PRIEST", level = 75},
        ["Shadowy Insight"] = {class = "PRIEST", level = 75},
        ["Misery"] = {class = "PRIEST", level = 90},
        ["Shadow Crash"] = {class = "PRIEST", level = 100},
        ["Legacy of the Void"] = {class = "PRIEST", level = 100},
        ["Surrender to Madness"] = {class = "PRIEST", level = 100},
        --> Priest PvP Talents
        ["Void Shift"] = {class = "PRIEST", level = 100},
        ["Inner Focus"] = {class = "PRIEST", level = 100},
        ["Ray of Hope"] = {class = "PRIEST", level = 100},
        ["Archangel"] = {class = "PRIEST", level = 100},
        ["Premonition"] = {class = "PRIEST", level = 100},
        ["Psyfiend"] = {class = "PRIEST", level = 100},
        ["Power Word: Fortitude"] = {class = "PRIEST", level = 100},
        ["Greater Fade"] = {class = "PRIEST", level = 100},
        ["Holy Ward"] = {class = "PRIEST", level = 100},
        ["Spirit of the Redeemer"] = {class = "PRIEST", level = 100},
        --> Rogue Abilities
        ["Detection"] = {class = "ROGUE", level = 1},
        ["Crimson Vial"] = {class = "ROGUE", level = 14},
        ["Kick"] = {class = "ROGUE", level = 18},
        ["Pick Lock"] = {class = "ROGUE", level = 24},
        ["Sprint"] = {class = "ROGUE", level = 26},
        ["Detect Traps"] = {class = "ROGUE", level = 42},
        ["Cloak of Shadows"] = {class = "ROGUE", level = 58},
        ["Fleet Footed"] = {class = "ROGUE", level = 62},
        ["Safe Fall"] = {class = "ROGUE", level = 48},
        ["Fan of Knives"] = {class = "ROGUE", level = 66},
        ["Tricks of the Trade"] = {class = "ROGUE", level = 78},
        --> Rogue Artifact Traits
        ["Curse of the Dreadblades"] = {class = "ROGUE", level = 100},
        ["Goremaw's Bite"] = {class = "ROGUE", level = 100},
        ["Kingsbane"] = {class = "ROGUE", level = 100},
        --> Rogue Specialization
        --> Assassination/Outlaw/Subtlety
        ["Stealth"] = {class = "ROGUE", level = 5},
        ["Sap"] = {class = "ROGUE", level = 12},
        ["Pick Pocket"] = {class = "ROGUE", level = 16},
        ["Blind"] = {class = "ROGUE", level = 24},
        ["Distract"] = {class = "ROGUE", level = 28},
        ["Cheap Shot"] = {class = "ROGUE", level = 30},
        ["Vanish"] = {class = "ROGUE", level = 32},
        --> Assassination/Subtlety
        ["Evasion"] = {class = "ROGUE", level = 8},
        ["Shadowstep"] = {class = "ROGUE", level = 13},
        ["Kidney Shot"] = {class = "ROGUE", level = 40},
        --> Assassination
        ["Mutilate"] = {class = "ROGUE", level = 1},
        ["Deadly Poison"] = {class = "ROGUE", level = 2},
        ["Envenom"] = {class = "ROGUE", level = 3},
        ["Assassin's Resolve"] = {class = "ROGUE", level = 10},
        ["Improved Poisons"] = {class = "ROGUE", level = 10},
        ["Poisoned Knife"] = {class = "ROGUE", level = 10},
        ["Cut to the Chase"] = {class = "ROGUE", level = 20},
        ["Rupture"] = {class = "ROGUE", level = 22},
        ["Venomous Wounds"] = {class = "ROGUE", level = 22},
        ["Wound Poison"] = {class = "ROGUE", level = 25},
        ["Seal Fate"] = {class = "ROGUE", level = 27},
        ["Crippling Poison"] = {class = "ROGUE", level = 38},
        ["Garrote"] = {class = "ROGUE", level = 48},
        ["Vendetta"] = {class = "ROGUE", level = 72},
        ["Potent Poisons"] = {class = "ROGUE", level = 78},
        --> Outlaw
        ["Run Through"] = {class = "ROGUE", level = 10},
        ["Saber Slash"] = {class = "ROGUE", level = 10},
        ["Vitality"] = {class = "ROGUE", level = 10},
        ["Pistol Shot"] = {class = "ROGUE", level = 12},
        ["Ambush"] = {class = "ROGUE", level = 14},
        ["Gouge"] = {class = "ROGUE", level = 22},
        ["Between the Eyes"] = {class = "ROGUE", level = 25},
        ["Ruthlessness"] = {class = "ROGUE", level = 27},
        ["Combat Potency"] = {class = "ROGUE", level = 34},
        ["Roll the Bones"] = {class = "ROGUE", level = 36},
        ["Blade Flurry"] = {class = "ROGUE", level = 48},
        ["Restless Blades"] = {class = "ROGUE", level = 50},
        ["Bribe"] = {class = "ROGUE", level = 54},
        ["Adrenaline Rush"] = {class = "ROGUE", level = 72},
        ["Main Gauche"] = {class = "ROGUE", level = 78},
        --> Subtlety
        ["Backstab"] = {class = "ROGUE", level = 10},
        ["Energetic Recovery"] = {class = "ROGUE", level = 10},
        ["Eviscerate"] = {class = "ROGUE", level = 10},
        ["Shuriken Toss"] = {class = "ROGUE", level = 11},
        ["Shadowstrike"] = {class = "ROGUE", level = 22},
        ["Shadow Techniques"] = {class = "ROGUE", level = 27},
        ["Symbols of Death"] = {class = "ROGUE", level = 34},
        ["Shadow Dance"] = {class = "ROGUE", level = 36},
        ["Deepening Shadows"] = {class = "ROGUE", level = 42},
        ["Nightblade"] = {class = "ROGUE", level = 46},
        ["Relentless Strikes"] = {class = "ROGUE", level = 50},
        ["Shuriken Storm"] = {class = "ROGUE", level = 66},
        ["Shuriken Combo"] = {class = "ROGUE", level = 70},
        ["Shadow Blades"] = {class = "ROGUE", level = 72},
        ["Executioner"] = {class = "ROGUE", level = 78},
        --> Rogue Talents
        ["Anticipation"] = {class = "ROGUE", level = 45},
        ["Deeper Stratagem"] = {class = "ROGUE", level = 45},
        ["Vigor"] = {class = "ROGUE", level = 45},
        ["Cheat Death"] = {class = "ROGUE", level = 60},
        ["Elusiveness"] = {class = "ROGUE", level = 60},
        ["Prey on the Weak"] = {class = "ROGUE", level = 75},
        ["Alacrity"] = {class = "ROGUE", level = 90},
        ["Death from Above"] = {class = "ROGUE", level = 100},
        ["Marked for Death"] = {class = "ROGUE", level = 100},
        --> Assassination/Subtlety
        ["Nightstalker"] = {class = "ROGUE", level = 30},
        ["Shadow Focus"] = {class = "ROGUE", level = 30},
        ["Subterfuge"] = {class = "ROGUE", level = 30},
        --> Assassination
        ["Elaborate Planning"] = {class = "ROGUE", level = 15},
        ["Hemorrhage"] = {class = "ROGUE", level = 15},
        ["Master Poisoner"] = {class = "ROGUE", level = 15},
        ["Leeching Poison"] = {class = "ROGUE", level = 60},
        ["Internal Bleeding"] = {class = "ROGUE", level = 75},
        ["Thuggee"] = {class = "ROGUE", level = 75},
        ["Exsanguinate"] = {class = "ROGUE", level = 90},
        ["Toxic Blade"] = {class = "ROGUE", level = 90},
        ["Venom Rush"] = {class = "ROGUE", level = 100},
        --> Outlaw
        ["Ghostly Strike"] = {class = "ROGUE", level = 15},
        ["Quick Draw"] = {class = "ROGUE", level = 15},
        ["Swordmaster"] = {class = "ROGUE", level = 15},
        ["Acrobatic Strikes"] = {class = "ROGUE", level = 30},
        ["Grappling Hook"] = {class = "ROGUE", level = 30},
        ["Hit and Run"] = {class = "ROGUE", level = 30},
        ["Iron Stomach"] = {class = "ROGUE", level = 60},
        ["Dirty Tricks"] = {class = "ROGUE", level = 75},
        ["Parley"] = {class = "ROGUE", level = 75},
        ["Cannonball Barrage"] = {class = "ROGUE", level = 90},
        ["Killing Spree"] = {class = "ROGUE", level = 90},
        ["Slice and Dice"] = {class = "ROGUE", level = 100},
        --> Subtlety
        ["Gloomblade"] = {class = "ROGUE", level = 15},
        ["Master of Subtlety"] = {class = "ROGUE", level = 15},
        ["Weaponmaster"] = {class = "ROGUE", level = 15},
        ["Soothing Darkness"] = {class = "ROGUE", level = 60},
        ["Strike from the Shadows"] = {class = "ROGUE", level = 75},
        ["Tangled Shadow"] = {class = "ROGUE", level = 75},
        ["Dark Shadow"] = {class = "ROGUE", level = 90},
        ["Enveloping Shadows"] = {class = "ROGUE", level = 100},
        ["Master of Shadows"] = {class = "ROGUE", level = 100},
        --> Rogue PvP Talents
        ["Plunder Armor"] = {class = "ROGUE", level = 100},
        ["Neurotoxin"] = {class = "ROGUE", level = 100},
        ["Shadowy Duel"] = {class = "ROGUE", level = 100},
        ["Dismantle"] = {class = "ROGUE", level = 100},
        ["Smoke Bomb"] = {class = "ROGUE", level = 100},
        ["Cold Blood"] = {class = "ROGUE", level = 100},
        ["Shiv"] = {class = "ROGUE", level = 100},
        --> Shaman Abilities
        ["Disabling Totem"] = {class = "SHAMAN", level = 1},
        ["Ancestral Spirit"] = {class = "SHAMAN", level = 14},
        ["Ghost Wolf"] = {class = "SHAMAN", level = 16},
        ["Water Walking"] = {class = "SHAMAN", level = 24},
        ["Far Sight"] = {class = "SHAMAN", level = 36},
        ["Hex"] = {class = "SHAMAN", level = 42},
        ["Astral Recall"] = {class = "SHAMAN", level = 44},
        ["Astral Shift"] = {class = "SHAMAN", level = 52},
        ["Purge"] = {class = "SHAMAN", level = 58},
        ["Bloodlust"] = {class = "SHAMAN", level = 65},
        ["Heroism"] = {class = "SHAMAN", level = 65},
        --> Shaman Artifact Traits
        ["Doom Winds"] = {class = "SHAMAN", level = 100},
        ["Gift of the Queen"] = {class = "SHAMAN", level = 100},
        ["Stormkeeper"] = {class = "SHAMAN", level = 100},
        --> Shaman Specialization
        --> Elemental/Enhancement/Restoration
        ["Lightning Bolt"] = {class = "SHAMAN", level = 1},
        ["Healing Surge"] = {class = "SHAMAN", level = 7},
        ["Wind Shear"] = {class = "SHAMAN", level = 22},
        --> Elemental/Enhancement+
        ["Maelstrom Controller"] = {class = "SHAMAN", level = 3},
        ["Cleanse Spirit"] = {class = "SHAMAN", level = 18},
        --> Elemental/Restoration
        ["Flame Shock"] = {class = "SHAMAN", level = 3},
        ["Lava Burst"] = {class = "SHAMAN", level = 12},
        ["Chain Lightning"] = {class = "SHAMAN", level = 28},
        ["Lava Surge"] = {class = "SHAMAN", level = 38},
        --> Elemental
        ["Fulmination"] = {class = "SHAMAN", level = 1},
        ["Earth Shock"] = {class = "SHAMAN", level = 3},
        ["Elemental Fury"] = {class = "SHAMAN", level = 10},
        ["Spiritual Insight"] = {class = "SHAMAN", level = 10},
        ["Thunderstorm"] = {class = "SHAMAN", level = 16},
        ["Frost Shock"] = {class = "SHAMAN", level = 22},
        ["Elemental Focus"] = {class = "SHAMAN", level = 40},
        ["Fire Elemental"] = {class = "SHAMAN", level = 48},
        ["Earthquake Totem"] = {class = "SHAMAN", level = 52},
        ["Earth Elemental"] = {class = "SHAMAN", level = 72},
        ["Elemental Overload"] = {class = "SHAMAN", level = 78},
        --> Enhancement
        ["Lava Lash"] = {class = "SHAMAN", level = 10},
        ["Rockbiter"] = {class = "SHAMAN", level = 10},
        ["Flametongue"] = {class = "SHAMAN", level = 12},
        ["Frostbrand"] = {class = "SHAMAN", level = 19},
        ["Stormstrike"] = {class = "SHAMAN", level = 26},
        ["Crash Lightning"] = {class = "SHAMAN", level = 28},
        ["Windfury"] = {class = "SHAMAN", level = 30},
        ["Stormlash"] = {class = "SHAMAN", level = 38},
        ["Stormbringer"] = {class = "SHAMAN", level = 40},
        ["Feral Spirit"] = {class = "SHAMAN", level = 48},
        ["Maelstrom Weapon"] = {class = "SHAMAN", level = 52},
        ["Spirit Walk"] = {class = "SHAMAN", level = 72},
        ["Enhanced Elements"] = {class = "SHAMAN", level = 78},
        --> Restoration
        ["Riptide"] = {class = "SHAMAN", level = 10},
        ["Healing Stream Totem"] = {class = "SHAMAN", level = 13},
        ["Purify Spirit"] = {class = "SHAMAN", level = 18},
        ["Chain Heal"] = {class = "SHAMAN", level = 26},
        ["Resurgence"] = {class = "SHAMAN", level = 40},
        ["Ancestral Vision"] = {class = "SHAMAN", level = 44},
        ["Healing Rain"] = {class = "SHAMAN", level = 48},
        ["Tidal Waves"] = {class = "SHAMAN", level = 50},
        ["Healing Tide Totem"] = {class = "SHAMAN", level = 54},
        ["Healing Wave"] = {class = "SHAMAN", level = 56},
        ["Spirit Link Totem"] = {class = "SHAMAN", level = 62},
        ["Spiritwalker's Grace"] = {class = "SHAMAN", level = 72},
        ["Deep Healing"] = {class = "SHAMAN", level = 78},
        --> Shaman Talents
        ["Wind Rush Totem"] = {class = "SHAMAN", level = 30},
        ["Earthgrab Totem"] = {class = "SHAMAN", level = 45},
        ["Lightning Surge Totem"] = {class = "SHAMAN", level = 45},
        ["Voodoo Totem"] = {class = "SHAMAN", level = 45},
        ["Ascendance"] = {class = "SHAMAN", level = 100},
        --> Elemental/Enhancement
        ["Ancestral Swiftness"] = {class = "SHAMAN", level = 60},
        --> Elemental/Restoration
        ["Ancestral Guidance"] = {class = "SHAMAN", level = 30},
        ["Gust of Wind"] = {class = "SHAMAN", level = 30},
        ["Echo of the Elements"] = {class = "SHAMAN", level = 60},
        --> Elemental
        ["Earthen Rage"] = {class = "SHAMAN", level = 15},
        ["Path of Flame"] = {class = "SHAMAN", level = 15},
        ["Totem Mastery"] = {class = "SHAMAN", level = 15},
        ["Aftershock"] = {class = "SHAMAN", level = 60},
        ["Elemental Mastery"] = {class = "SHAMAN", level = 60},
        ["Elemental Blast"] = {class = "SHAMAN", level = 75},
        ["Elemental Fusion"] = {class = "SHAMAN", level = 75},
        ["Primal Elementalist"] = {class = "SHAMAN", level = 75},
        ["Liquid Magma Totem"] = {class = "SHAMAN", level = 90},
        ["Storm Elemental"] = {class = "SHAMAN", level = 90},
        ["Icefury"] = {class = "SHAMAN", level = 100},
        ["Lightning Rod"] = {class = "SHAMAN", level = 100},
        --> Enhancement
        ["Hot Hand"] = {class = "SHAMAN", level = 15},
        ["Landslide"] = {class = "SHAMAN", level = 15},
        ["Windsong"] = {class = "SHAMAN", level = 15},
        ["Feral Lunge"] = {class = "SHAMAN", level = 30},
        ["Rainfall"] = {class = "SHAMAN", level = 30},
        ["Hailstorm"] = {class = "SHAMAN", level = 60},
        ["Lightning Shield"] = {class = "SHAMAN", level = 60},
        ["Empowered Stormlash"] = {class = "SHAMAN", level = 75},
        ["Overcharge"] = {class = "SHAMAN", level = 75},
        ["Tempest"] = {class = "SHAMAN", level = 75},
        ["Crashing Storm"] = {class = "SHAMAN", level = 90},
        ["Fury of Air"] = {class = "SHAMAN", level = 90},
        ["Sundering"] = {class = "SHAMAN", level = 90},
        ["Boulderfist"] = {class = "SHAMAN", level = 100},
        ["Earthen Spike"] = {class = "SHAMAN", level = 100},
        --> Restoration
        ["Torrent"] = {class = "SHAMAN", level = 15},
        ["Undulation"] = {class = "SHAMAN", level = 15},
        ["Graceful Spirit"] = {class = "SHAMAN", level = 30},
        ["Crashing Waves"] = {class = "SHAMAN", level = 60},
        ["Deluge"] = {class = "SHAMAN", level = 60},
        ["Ancestral Protection Totem"] = {class = "SHAMAN", level = 75},
        ["Ancestral Vigor"] = {class = "SHAMAN", level = 75},
        ["Earthen Shield Totem"] = {class = "SHAMAN", level = 75},
        ["Bottomless Depths"] = {class = "SHAMAN", level = 90},
        ["Cloudburst Totem"] = {class = "SHAMAN", level = 90},
        ["High Tide"] = {class = "SHAMAN", level = 100},
        ["Wellspring"] = {class = "SHAMAN", level = 100},
        --> Shaman PvP Talents
        ["Earth Shield"] = {class = "SHAMAN", level = 100},
        ["Spirit Link"] = {class = "SHAMAN", level = 100},
        ["Skyfury Totem"] = {class = "SHAMAN", level = 100},
        ["Counterstrike Totem"] = {class = "SHAMAN", level = 100},
        ["Windfury Totem"] = {class = "SHAMAN", level = 100},
        ["Grounding Totem"] = {class = "SHAMAN", level = 100},
        ["Thundercharge"] = {class = "SHAMAN", level = 100},
        ["Control of Lava"] = {class = "SHAMAN", level = 100},
        ["Lightning Lasso"] = {class = "SHAMAN", level = 100},
        ["Ethereal Form"] = {class = "SHAMAN", level = 100},
        --> Warlock Abilities
        ["Chaos Barrage"] = {class = "WARLOCK", level = 1},
        ["Soul Leech"] = {class = "WARLOCK", level = 1},
        ["Chaos Bolt"] = {class = "WARLOCK", level = 1},
        ["Shadow Bolt"] = {class = "WARLOCK", level = 1},
        ["Soul Shards"] = {class = "WARLOCK", level = 1},
        ["Summon Imp"] = {class = "WARLOCK", level = 1},
        ["Create Healthstone"] = {class = "WARLOCK", level = 5},
        ["Summon Voidwalker"] = {class = "WARLOCK", level = 8},
        ["Control Demon"] = {class = "WARLOCK", level = 10},
        ["Fear"] = {class = "WARLOCK", level = 16},
        ["Soulstone"] = {class = "WARLOCK", level = 18},
        ["Health Funnel"] = {class = "WARLOCK", level = 19},
        ["Felsteed"] = {class = "WARLOCK", level = 20},
        ["Eye of Kilrogg"] = {class = "WARLOCK", level = 22},
        ["Unending Breath"] = {class = "WARLOCK", level = 24},
        ["Summon Succubus"] = {class = "WARLOCK", level = 28},
        ["Command Demon"] = {class = "WARLOCK", level = 31},
        ["Banish"] = {class = "WARLOCK", level = 32},
        ["Summon Felhunter"] = {class = "WARLOCK", level = 35},
        ["Dreadsteed"] = {class = "WARLOCK", level = 40},
        ["Summon Infernal"] = {class = "WARLOCK", level = 50},
        ["Enslave Demon"] = {class = "WARLOCK", level = 54},
        ["Summon Doomguard"] = {class = "WARLOCK", level = 58},
        ["Unending Resolve"] = {class = "WARLOCK", level = 62},
        ["Create Soulwell"] = {class = "WARLOCK", level = 65},
        ["Ritual of Summoning"] = {class = "WARLOCK", level = 72},
        ["Demonic Gateway"] = {class = "WARLOCK", level = 87},
        --> Warlock Artifact Traits
        ["Dimensional Rift"] = {class = "WARLOCK", level = 100},
        ["Reap Souls"] = {class = "WARLOCK", level = 100},
        ["Thal'kiel's Consumption"] = {class = "WARLOCK", level = 100},
        --> Warlock Specialization
        --> Affliction/Demonology/Destruction
        ["Life Tap"] = {class = "WARLOCK", level = 16},
        --> Affliction
        ["Corruption"] = {class = "WARLOCK", level = 3},
        ["Agony"] = {class = "WARLOCK", level = 10},
        ["Unstable Affliction"] = {class = "WARLOCK", level = 10},
        ["Drain Life"] = {class = "WARLOCK", level = 13},
        ["Drain Soul"] = {class = "WARLOCK", level = 15},
        ["Seed of Corruption"] = {class = "WARLOCK", level = 38},
        ["Potent Afflictions"] = {class = "WARLOCK", level = 78},
        --> Demonology
        ["Hand of Gul'dan"] = {class = "WARLOCK", level = 10},
        ["Demonic Empowerment"] = {class = "WARLOCK", level = 12},
        ["Call Dreadstalkers"] = {class = "WARLOCK", level = 14},
        ["Doom"] = {class = "WARLOCK", level = 26},
        ["Demonwrath"] = {class = "WARLOCK", level = 36},
        ["Summon Felguard"] = {class = "WARLOCK", level = 40},
        ["Soul Link"] = {class = "WARLOCK", level = 42},
        ["Master Demonologist"] = {class = "WARLOCK", level = 78},
        --> Destruction
        ["Immolate"] = {class = "WARLOCK", level = 10},
        ["Incinerate"] = {class = "WARLOCK", level = 10},
        ["Conflagrate"] = {class = "WARLOCK", level = 10},
        ["Rain of Fire"] = {class = "WARLOCK", level = 38},
        ["Havoc"] = {class = "WARLOCK", level = 40},
        ["Chaotic Energies"] = {class = "WARLOCK", level = 78},
        --> Warlock Talents
        ["Demonic Circle: Summon"] = {class = "WARLOCK", level = 45},
        ["Mortal Coil"] = {class = "WARLOCK", level = 45},
        ["Soul Harvest"] = {class = "WARLOCK", level = 60},
        ["Burning Rush"] = {class = "WARLOCK", level = 75},
        ["Dark Pact"] = {class = "WARLOCK", level = 75},
        ["Demon Skin"] = {class = "WARLOCK", level = 75},
        ["Grimoire of Service"] = {class = "WARLOCK", level = 90},
        ["Grimoire of Supremacy"] = {class = "WARLOCK", level = 90},
        ["Soul Conduit"] = {class = "WARLOCK", level = 100},
        --> Affliction/Destruction
        ["Empowered Life Tap"] = {class = "WARLOCK", level = 30},
        ["Grimoire of Sacrifice"] = {class = "WARLOCK", level = 90},
        --> Demonology/Destruction
        ["Shadowfury"] = {class = "WARLOCK", level = 45},
        --> Affliction
        ["Haunt"] = {class = "WARLOCK", level = 15},
        ["Malefic Grasp"] = {class = "WARLOCK", level = 15},
        ["Writhe in Agony"] = {class = "WARLOCK", level = 15},
        ["Absolute Corruption"] = {class = "WARLOCK", level = 30},
        ["Contagion"] = {class = "WARLOCK", level = 30},
        ["Howl of Terror"] = {class = "WARLOCK", level = 45},
        ["Sow the Seeds"] = {class = "WARLOCK", level = 60},
        ["Phantom Singularity"] = {class = "WARLOCK", level = 60},
        ["Death's Embrace"] = {class = "WARLOCK", level = 100},
        ["Siphon Life"] = {class = "WARLOCK", level = 100},
        --> Demonology
        ["Demonic Calling"] = {class = "WARLOCK", level = 15},
        ["Shadowflame"] = {class = "WARLOCK", level = 15},
        ["Shadowy Inspiration"] = {class = "WARLOCK", level = 15},
        ["Impending Doom"] = {class = "WARLOCK", level = 30},
        ["Implosion"] = {class = "WARLOCK", level = 30},
        ["Improved Dreadstalkers"] = {class = "WARLOCK", level = 30},
        ["Hand of Doom"] = {class = "WARLOCK", level = 60},
        ["Power Trip"] = {class = "WARLOCK", level = 60},
        ["Grimoire of Synergy"] = {class = "WARLOCK", level = 90},
        ["Demonbolt"] = {class = "WARLOCK", level = 100},
        ["Summon Darkglare"] = {class = "WARLOCK", level = 100},
        --> Destruction
        ["Backdraft"] = {class = "WARLOCK", level = 15},
        ["Roaring Blaze"] = {class = "WARLOCK", level = 15},
        ["Shadowburn"] = {class = "WARLOCK", level = 15},
        ["Eradication"] = {class = "WARLOCK", level = 30},
        ["Reverse Entropy"] = {class = "WARLOCK", level = 30},
        ["Cataclysm"] = {class = "WARLOCK", level = 60},
        ["Fire and Brimstone"] = {class = "WARLOCK", level = 60},
        ["Channel Demonfire"] = {class = "WARLOCK", level = 100},
        ["Wreak Havoc"] = {class = "WARLOCK", level = 100},
        --> Warlock PvP Talents
        ["Curse of Shadows"] = {class = "WARLOCK", level = 100},
        ["Curse of Tongues"] = {class = "WARLOCK", level = 100},
        ["Curse of Weakness"] = {class = "WARLOCK", level = 100},
        ["Curse of Fragility"] = {class = "WARLOCK", level = 100},
        ["Bane of Havoc"] = {class = "WARLOCK", level = 100},
        ["Call Observer"] = {class = "WARLOCK", level = 100},
        ["Firestone"] = {class = "WARLOCK", level = 100},
        ["Nether Ward"] = {class = "WARLOCK", level = 100},
        ["Call Fel Lord"] = {class = "WARLOCK", level = 100},
        ["Call Felhunter"] = {class = "WARLOCK", level = 100},
        ["Singe Magic"] = {class = "WARLOCK", level = 100},
        ["Soulshatter"] = {class = "WARLOCK", level = 100},
        ["Casting Circle"] = {class = "WARLOCK", level = 100},
        --> Warrior Abilities
        ["Attack"] = {class = "WARRIOR", level = 1},
        ["Charge"] = {class = "WARRIOR", level = 3},
        ["Taunt"] = {class = "WARRIOR", level = 14},
        ["Heroic Throw"] = {class = "WARRIOR", level = 22},
        ["Pummel"] = {class = "WARRIOR", level = 24},
        ["Heroic Leap"] = {class = "WARRIOR", level = 26},
        ["Deep Wounds"] = {class = "WARRIOR", level = 32},
        --> Warrior Artifact Traits
        ["Neltharion's Fury"] = {class = "WARRIOR", level = 100},
        ["Odyn's Fury"] = {class = "WARRIOR", level = 100},
        ["Warbreaker"] = {class = "WARRIOR", level = 100},
        --> Warrior Specialization
        --> Arms/Fury/Protection
        ["Berserker Rage"] = {class = "WARRIOR", level = 40},
        ["Battle Cry"] = {class = "WARRIOR", level = 60},
        --> Arms/Fury+
        ["Execute"] = {class = "WARRIOR", level = 8},
        ["Whirlwind"] = {class = "WARRIOR", level = 28},
        ["Intimidating Shout"] = {class = "WARRIOR", level = 70},
        ["Commanding Shout"] = {class = "WARRIOR", level = 83},
        --> Arms/Protection
        ["Victory Rush"] = {class = "WARRIOR", level = 10},
        --> Arms+
        ["Slam"] = {class = "WARRIOR", level = 1},
        ["Mortal Strike"] = {class = "WARRIOR", level = 5},
        ["Colossus Smash"] = {class = "WARRIOR", level = 18},
        ["Tactician"] = {class = "WARRIOR", level = 18},
        ["Cleave"] = {class = "WARRIOR", level = 32},
        ["Hamstring"] = {class = "WARRIOR", level = 36},
        ["Die by the Sword"] = {class = "WARRIOR", level = 50},
        ["Bladestorm"] = {class = "WARRIOR", level = 75},
        ["Colossal Might"] = {class = "WARRIOR", level = 78},
        --> Fury
        ["Bloodthirst"] = {class = "WARRIOR", level = 10},
        ["Enrage"] = {class = "WARRIOR", level = 10},
        ["Furious Slash"] = {class = "WARRIOR", level = 10},
        ["Titan's Grip"] = {class = "WARRIOR", level = 10},
        ["Enraged Regeneration"] = {class = "WARRIOR", level = 12},
        ["Raging Blow"] = {class = "WARRIOR", level = 13},
        ["Rampage"] = {class = "WARRIOR", level = 18},
        ["Piercing Howl"] = {class = "WARRIOR", level = 26},
        ["Single-Minded Fury"] = {class = "WARRIOR", level = 38},
        ["Meat Cleaver"] = {class = "WARRIOR", level = 58},
        ["Unshackled Fury"] = {class = "WARRIOR", level = 78},
        --> Protection
        ["Defensive Stance"] = {class = "WARRIOR", level = 9},
        ["Shield Slam"] = {class = "WARRIOR", level = 10},
        ["Unwavering Sentinel"] = {class = "WARRIOR", level = 10},
        ["Devastate"] = {class = "WARRIOR", level = 12},
        ["Thunder Clap"] = {class = "WARRIOR", level = 16},
        ["Shield Block"] = {class = "WARRIOR", level = 18},
        ["Revenge"] = {class = "WARRIOR", level = 28},
        ["Ignore Pain"] = {class = "WARRIOR", level = 34},
        ["Last Stand"] = {class = "WARRIOR", level = 36},
        ["Shield Wall"] = {class = "WARRIOR", level = 48},
        ["Demoralizing Shout"] = {class = "WARRIOR", level = 50},
        ["Bastion of Defense"] = {class = "WARRIOR", level = 60},
        ["Critical Block"] = {class = "WARRIOR", level = 78},
        --> Warrior Talents
        --> Arms/Fury/Protection
        ["Shockwave"] = {class = "WARRIOR", level = 15},
        ["Storm Bolt"] = {class = "WARRIOR", level = 15},
        ["Bounding Stride"] = {class = "WARRIOR", level = 60},
        --> Arms/Fury+
        ["Double Time"] = {class = "WARRIOR", level = 30},
        --> Arms/Protection
        ["Anger Management"] = {class = "WARRIOR", level = 100},
        ["Ravager"] = {class = "WARRIOR", level = 100},
        --> Arms
        ["Dauntless"] = {class = "WARRIOR", level = 15},
        ["Overpower"] = {class = "WARRIOR", level = 15},
        ["Sweeping Strikes"] = {class = "WARRIOR", level = 15},
        ["Rend"] = {class = "WARRIOR", level = 45},
        ["Avatar"] = {class = "WARRIOR", level = 45},
        ["Trauma"] = {class = "WARRIOR", level = 45},
        ["Second Wind"] = {class = "WARRIOR", level = 60},
        ["Fervor of Battle"] = {class = "WARRIOR", level = 75},
        ["Mortal Combo"] = {class = "WARRIOR", level = 75},
        ["Titanic Might"] = {class = "WARRIOR", level = 75},
        ["Deadly Calm"] = {class = "WARRIOR", level = 90},
        ["Focused Rage"] = {class = "WARRIOR", level = 90},
        ["In for the Kill"] = {class = "WARRIOR", level = 90},
        ["Opportunity Strikes"] = {class = "WARRIOR", level = 100},
        --> Fury
        ["War Machine"] = {class = "WARRIOR", level = 15},
        ["Endless Rage"] = {class = "WARRIOR", level = 15},
        ["Fresh Meat"] = {class = "WARRIOR", level = 15},
        ["Wrecking Ball"] = {class = "WARRIOR", level = 45},
        ["Outburst"] = {class = "WARRIOR", level = 45},
        ["Furious Charge"] = {class = "WARRIOR", level = 60},
        ["Warpaint"] = {class = "WARRIOR", level = 60},
        ["Massacre"] = {class = "WARRIOR", level = 75},
        ["Frothing Berserker"] = {class = "WARRIOR", level = 75},
        ["Carnage"] = {class = "WARRIOR", level = 75},
        ["Bloodbath"] = {class = "WARRIOR", level = 90},
        ["Frenzy"] = {class = "WARRIOR", level = 90},
        ["Inner Rage"] = {class = "WARRIOR", level = 90},
        ["Reckless Abandon"] = {class = "WARRIOR", level = 100},
        ["Dragon Roar"] = {class = "WARRIOR", level = 100},
        --> Protection
        ["Warbringer"] = {class = "WARRIOR", level = 15},
        ["Impending Victory"] = {class = "WARRIOR", level = 30},
        ["Inspiring Presence"] = {class = "WARRIOR", level = 30},
        ["Safeguard"] = {class = "WARRIOR", level = 30},
        ["Best Served Cold"] = {class = "WARRIOR", level = 45},
        ["Renewed Fury"] = {class = "WARRIOR", level = 45},
        ["Warlord's Challenge"] = {class = "WARRIOR", level = 60},
        ["Crackling Thunder"] = {class = "WARRIOR", level = 60},
        ["Devastator"] = {class = "WARRIOR", level = 75},
        ["Indomitable"] = {class = "WARRIOR", level = 75},
        ["Vengeance"] = {class = "WARRIOR", level = 90},
        ["Into the Frey"] = {class = "WARRIOR", level = 90},
        ["Booming Voice"] = {class = "WARRIOR", level = 90},
        ["Heavy Repercussions"] = {class = "WARRIOR", level = 100},
        --> Warrior PvP Talents
        ["Disarm"] = {class = "WARRIOR", level = 100},
        ["Duel"] = {class = "WARRIOR", level = 100},
        ["Intercept"] = {class = "WARRIOR", level = 100},
        ["Sharpen Blade"] = {class = "WARRIOR", level = 100},
        ["Shield Bash"] = {class = "WARRIOR", level = 100},
        ["Death Wish"] = {class = "WARRIOR", level = 100},
        ["Dragon Charge"] = {class = "WARRIOR", level = 100},
        ["Bodyguard"] = {class = "WARRIOR", level = 100},
        ["Mass Spell Reflection"] = {class = "WARRIOR", level = 100},
        ["Spell Reflection"] = {class = "WARRIOR", level = 100},
        ["War Banner"] = {class = "WARRIOR", level = 100}
    }
end

--=> CREATE SPEC TABLE
-----------------------------------------------------------------------
function weizPVP:CreateSpecDB()
    if weizPVP.SpecDB == nil then
        weizPVP.SpecDB = {}
    end
    --> DRUID SPELLS
    weizPVP.SpecDB["Savage Roar"] = {"Druid", "Feral Combat"}
    weizPVP.SpecDB["Rake"] = {"Druid", "Feral Combat"}
    weizPVP.SpecDB["Tiger's Fury"] = {"Druid", "Feral Combat"}
    weizPVP.SpecDB["Rip"] = {"Druid", "Feral Combat"}
    weizPVP.SpecDB["Swipe"] = {"Druid", "Feral Combat"}
    weizPVP.SpecDB["Predatory Swiftness"] = {"Druid", "Feral Combat"}
    weizPVP.SpecDB["Leader of the Pack"] = {"Druid", "Feral Combat"}
    weizPVP.SpecDB["Starsurge"] = {"Druid", "Balance"}
    weizPVP.SpecDB["Starfire"] = {"Druid", "Balance"}
    weizPVP.SpecDB["Moonkin Form"] = {"Druid", "Balance"}
    weizPVP.SpecDB["Astral Communion"] = {"Druid", "Balance"}
    weizPVP.SpecDB["Shooting Stars"] = {"Druid", "Balance"}
    weizPVP.SpecDB["Solar Beam"] = {"Druid", "Balance"}
    weizPVP.SpecDB["Starfall"] = {"Druid", "Balance"}
    weizPVP.SpecDB["Savage Defense"] = {"Druid", "Guardian"}
    weizPVP.SpecDB["Maul"] = {"Druid", "Guardian"}
    weizPVP.SpecDB["Tooth and Claw"] = {"Druid", "Guardian"}
    weizPVP.SpecDB["Lacerate"] = {"Druid", "Guardian"}
    weizPVP.SpecDB["Ursa Major"] = {"Druid", "Guardian"}
    weizPVP.SpecDB["Lifebloom"] = {"Druid", "Restoration"}
    weizPVP.SpecDB["Swiftmend"] = {"Druid", "Restoration"}
    weizPVP.SpecDB["Regrowth"] = {"Druid", "Restoration"}
    weizPVP.SpecDB["Nature's Cure"] = {"Druid", "Restoration"}
    weizPVP.SpecDB["Living Seed"] = {"Druid", "Restoration"}
    weizPVP.SpecDB["Nature's Swiftness"] = {"Druid", "Restoration"}
    weizPVP.SpecDB["Ironbark"] = {"Druid", "Restoration"}
    weizPVP.SpecDB["Wild Growth"] = {"Druid", "Restoration"}
    --> HUNTER SPELLS
    weizPVP.SpecDB["Bestial Wrath"] = {"Hunter", "Beast Mastery"}
    weizPVP.SpecDB["Kill Command"] = {"Hunter", "Beast Mastery"}
    weizPVP.SpecDB["Go for the Throat"] = {"Hunter", "Beast Mastery"}
    weizPVP.SpecDB["Focus Fire"] = {"Hunter", "Beast Mastery"}
    weizPVP.SpecDB["Cobra Strikes"] = {"Hunter", "Beast Mastery"}
    weizPVP.SpecDB["Chimaera Shot"] = {"Hunter", "Marksmanship"}
    weizPVP.SpecDB["Aimed Shot"] = {"Hunter", "Marksmanship"}
    weizPVP.SpecDB["Chimaera Shot"] = {"Hunter", "Marksmanship"}
    weizPVP.SpecDB["Bombardment"] = {"Hunter", "Marksmanship"}
    weizPVP.SpecDB["Rapid Fire"] = {"Hunter", "Marksmanship"}
    weizPVP.SpecDB["Explosive Shot"] = {"Hunter", "Survival"}
    weizPVP.SpecDB["Black Arrow"] = {"Hunter", "Survival"}
    weizPVP.SpecDB["Entrapment"] = {"Hunter", "Survival"}
    weizPVP.SpecDB["Serpent Sting"] = {"Hunter", "Survival"}
    --> PRIEST SPELLS
    weizPVP.SpecDB["Penance"] = {"Priest", "Discipline"}
    weizPVP.SpecDB["Borrowed Time"] = {"Priest", "Discipline"}
    weizPVP.SpecDB["Holy Nova"] = {"Priest", "Discipline"}
    weizPVP.SpecDB["Divine Aegis"] = {"Priest", "Discipline"}
    weizPVP.SpecDB["Atonement"] = {"Priest", "Discipline"}
    weizPVP.SpecDB["Archangel"] = {"Priest", "Discipline"}
    weizPVP.SpecDB["Pain Suppression"] = {"Priest", "Discipline"}
    weizPVP.SpecDB["Power Word: Barrier"] = {"Priest", "Discipline"}
    weizPVP.SpecDB["Circle of Healing"] = {"Priest", "Holy"}
    weizPVP.SpecDB["Holy Word: Chastise"] = {"Priest", "Holy"}
    weizPVP.SpecDB["Renew"] = {"Priest", "Holy"}
    weizPVP.SpecDB["Serendipity"] = {"Priest", "Holy"}
    weizPVP.SpecDB["Lightwell"] = {"Priest", "Holy"}
    weizPVP.SpecDB["Binding Heal"] = {"Priest", "Holy"}
    weizPVP.SpecDB["Chakra: Chastise"] = {"Priest", "Holy"}
    weizPVP.SpecDB["Chakra: Sanctuary"] = {"Priest", "Holy"}
    weizPVP.SpecDB["Chakra: Serenity"] = {"Priest", "Holy"}
    weizPVP.SpecDB["Mind Flay"] = {"Priest", "Shadow"}
    weizPVP.SpecDB["Devouring Plague"] = {"Priest", "Shadow"}
    weizPVP.SpecDB["Mind Blast"] = {"Priest", "Shadow"}
    weizPVP.SpecDB["Shadow Orbs"] = {"Priest", "Shadow"}
    weizPVP.SpecDB["Shadowform"] = {"Priest", "Shadow"}
    weizPVP.SpecDB["Vampirit Touch"] = {"Priest", "Shadow"}
    weizPVP.SpecDB["Shadowy Apparitions"] = {"Priest", "Shadow"}
    weizPVP.SpecDB["Mind Spike"] = {"Priest", "Shadow"}
    weizPVP.SpecDB["Dispersion"] = {"Priest", "Shadow"}
    weizPVP.SpecDB["Psychic Horror"] = {"Priest", "Shadow"}
    weizPVP.SpecDB["Vampiric Embrace"] = {"Priest", "Shadow"}
    --> WARLOCK SPELLS
    weizPVP.SpecDB["Haunt"] = {"Warlock", "Affliction"}
    weizPVP.SpecDB["Unstable Affliction"] = {"Warlock", "Affliction"}
    weizPVP.SpecDB["Soulburn"] = {"Warlock", "Affliction"}
    weizPVP.SpecDB["Seed of Corruption"] = {"Warlock", "Affliction"}
    weizPVP.SpecDB["Drain Soul"] = {"Warlock", "Affliction"}
    weizPVP.SpecDB["Agony"] = {"Warlock", "Affliction"}
    weizPVP.SpecDB["Soul Swap"] = {"Warlock", "Affliction"}
    weizPVP.SpecDB["Hand of Gul'dan"] = {"Warlock", "Demonology"}
    weizPVP.SpecDB["Doom"] = {"Warlock", "Demonology"}
    weizPVP.SpecDB["Metamorphosis"] = {"Warlock", "Demonology"}
    weizPVP.SpecDB["Demonic Leap"] = {"Warlock", "Demonology"}
    weizPVP.SpecDB["Soul Fire"] = {"Warlock", "Demonology"}
    weizPVP.SpecDB["Hellfire"] = {"Warlock", "Demonology"}
    weizPVP.SpecDB["Wild Imps"] = {"Warlock", "Demonology"}
    weizPVP.SpecDB["Incinerate"] = {"Warlock", "Destruction"}
    weizPVP.SpecDB["Chaos Bolt"] = {"Warlock", "Destruction"}
    weizPVP.SpecDB["Conflagrate"] = {"Warlock", "Destruction"}
    weizPVP.SpecDB["Immolate"] = {"Warlock", "Destruction"}
    weizPVP.SpecDB["Ember Tap"] = {"Warlock", "Destruction"}
    weizPVP.SpecDB["Rain of Fire"] = {"Warlock", "Destruction"}
    weizPVP.SpecDB["Fire and Brimstone"] = {"Warlock", "Destruction"}
    --> MAGE SPELLS
    weizPVP.SpecDB["Arcane Blast"] = {"Mage", "Arcane"}
    weizPVP.SpecDB["Arcane Barrage"] = {"Mage", "Arcane"}
    weizPVP.SpecDB["Arcane Explosion"] = {"Mage", "Arcane"}
    weizPVP.SpecDB["Arcane Missiles"] = {"Mage", "Arcane"}
    weizPVP.SpecDB["Slow"] = {"Mage", "Arcane"}
    weizPVP.SpecDB["Mage Armor"] = {"Mage", "Arcane"}
    weizPVP.SpecDB["Arcane Power"] = {"Mage", "Arcane"}
    weizPVP.SpecDB["Fireball"] = {"Mage", "Fire"}
    weizPVP.SpecDB["Pyroblast"] = {"Mage", "Fire"}
    weizPVP.SpecDB["Fireball"] = {"Mage", "Fire"}
    weizPVP.SpecDB["Scorch"] = {"Mage", "Fire"}
    weizPVP.SpecDB["Inferno Blast"] = {"Mage", "Fire"}
    weizPVP.SpecDB["Molten Armor"] = {"Mage", "Fire"}
    weizPVP.SpecDB["Flamestrike"] = {"Mage", "Fire"}
    weizPVP.SpecDB["Dragon's Breath"] = {"Mage", "Fire"}
    weizPVP.SpecDB["Combustion"] = {"Mage", "Fire"}
    weizPVP.SpecDB["Frostbolt"] = {"Mage", "Frost"}
    weizPVP.SpecDB["Summon Water Elemental"] = {"Mage", "Frost"}
    weizPVP.SpecDB["Ice Lance"] = {"Mage", "Frost"}
    weizPVP.SpecDB["Fingers of Frost"] = {"Mage", "Frost"}
    weizPVP.SpecDB["Icy Veins"] = {"Mage", "Frost"}
    weizPVP.SpecDB["Blizzard"] = {"Mage", "Frost"}
    weizPVP.SpecDB["Frost Armor"] = {"Mage", "Frost"}
    weizPVP.SpecDB["Frozen Orb"] = {"Mage", "Frost"}
    weizPVP.SpecDB["Deep Freeze"] = {"Mage", "Frost"}
    --> MONK SPELLS
    weizPVP.SpecDB["Dizzying Haze"] = {"Monk", "Brewmaster"}
    weizPVP.SpecDB["Stance of the Sturdy Ox"] = {"Monk", "Brewmaster"}
    weizPVP.SpecDB["Keg Smash"] = {"Monk", "Brewmaster"}
    weizPVP.SpecDB["Breath of Fire"] = {"Monk", "Brewmaster"}
    weizPVP.SpecDB["Guard"] = {"Monk", "Brewmaster"}
    weizPVP.SpecDB["Elusive Brew"] = {"Monk", "Brewmaster"}
    weizPVP.SpecDB["Soothing Mist"] = {"Monk", "Mistweaver"}
    weizPVP.SpecDB["Stance of the Spirited Crane"] = {"Monk", "Mistweaver"}
    weizPVP.SpecDB["Stance of the Wise Serpent"] = {"Monk", "Mistweaver"}
    weizPVP.SpecDB["Enveloping Mist"] = {"Monk", "Mistweaver"}
    weizPVP.SpecDB["Renewing Mist"] = {"Monk", "Mistweaver"}
    weizPVP.SpecDB["Life Cocoon"] = {"Monk", "Mistweaver"}
    weizPVP.SpecDB["Mana Tea"] = {"Monk", "Mistweaver"}
    weizPVP.SpecDB["Detonate Chi"] = {"Monk", "Mistweaver"}
    weizPVP.SpecDB["Fists of Fury"] = {"Monk", "Windwalker"}
    weizPVP.SpecDB["Flying Serpent Kick"] = {"Monk", "Windwalker"}
    weizPVP.SpecDB["Fists of Fury"] = {"Monk", "Windwalker"}
    weizPVP.SpecDB["Touch of Karma"] = {"Monk", "Windwalker"}
    weizPVP.SpecDB["Energizing Brew"] = {"Monk", "Windwalker"}
    weizPVP.SpecDB["Tigereye Brew"] = {"Monk", "Windwalker"}
    weizPVP.SpecDB["Windflurry"] = {"Monk", "Windwalker"}
    --> ROGUE SPELLS
    weizPVP.SpecDB["Mutilate"] = {"Rogue", "Assassination"}
    weizPVP.SpecDB["Envenom"] = {"Rogue", "Assassination"}
    weizPVP.SpecDB["Dispatch"] = {"Rogue", "Assassination"}
    weizPVP.SpecDB["Venomous Wounds"] = {"Rogue", "Assassination"}
    weizPVP.SpecDB["Vendetta"] = {"Rogue", "Assassination"}
    weizPVP.SpecDB["Revealing Strike"] = {"Rogue", "Combat"}
    weizPVP.SpecDB["Blade Flurry"] = {"Rogue", "Combat"}
    weizPVP.SpecDB["Killing Spree"] = {"Rogue", "Combat"}
    weizPVP.SpecDB["Bandit's Guile"] = {"Rogue", "Combat"}
    weizPVP.SpecDB["Adrenaline Rush"] = {"Rogue", "Combat"}
    weizPVP.SpecDB["Hemorrhage"] = {"Rogue", "Subtlety"}
    weizPVP.SpecDB["Master of Subtlety"] = {"Rogue", "Subtlety"}
    weizPVP.SpecDB["Backstab"] = {"Rogue", "Subtlety"}
    weizPVP.SpecDB["Shadow Dance"] = {"Rogue", "Subtlety"}
    weizPVP.SpecDB["Energetic Recovery"] = {"Rogue", "Subtlety"}
    --> SHAMAN SPELLS
    weizPVP.SpecDB["Earthquake"] = {"Shaman", "Elemental"}
    weizPVP.SpecDB["Earth Shock"] = {"Shaman", "Elemental"}
    weizPVP.SpecDB["Thunderstorm"] = {"Shaman", "Elemental"}
    weizPVP.SpecDB["Lava Surge"] = {"Shaman", "Elemental"}
    weizPVP.SpecDB["Maelstrom Weapon"] = {"Shaman", "Enhancement"}
    weizPVP.SpecDB["Spirit Walk"] = {"Shaman", "Enhancement"}
    weizPVP.SpecDB["Storm Strike"] = {"Shaman", "Enhancement"}
    weizPVP.SpecDB["Spirit Walk"] = {"Shaman", "Enhancement"}
    weizPVP.SpecDB["Flametongue"] = {"Shaman", "Enhancement"}
    weizPVP.SpecDB["Earth Shield"] = {"Shaman", "RestorationS"}
    weizPVP.SpecDB["Riptide"] = {"Shaman", "RestorationS"}
    weizPVP.SpecDB["Spirit Link Totem"] = {"Shaman", "RestorationS"}
    weizPVP.SpecDB["Purify Spirit"] = {"Shaman", "RestorationS"}
    weizPVP.SpecDB["Water Shield"] = {"Shaman", "RestorationS"}
    weizPVP.SpecDB["Resurgence"] = {"Shaman", "RestorationS"}
    weizPVP.SpecDB["Chain Heal"] = {"Shaman", "RestorationS"}
    weizPVP.SpecDB["Tidal Waves"] = {"Shaman", "RestorationS"}
    weizPVP.SpecDB["Healing Wave"] = {"Shaman", "RestorationS"}
    --> DEATH KNIGHT
    weizPVP.SpecDB["Bone Shield"] = {"Death Knight", "Blood"}
    weizPVP.SpecDB["Vampiric Blood"] = {"Death Knight", "Blood"}
    weizPVP.SpecDB["Rune Tap"] = {"Death Knight", "Blood"}
    weizPVP.SpecDB["Power of the Grave"] = {"Death Knight", "Blood"}
    weizPVP.SpecDB["Frost Strike"] = {"Death Knight", "FrostDK"}
    weizPVP.SpecDB["Obliterate"] = {"Death Knight", "FrostDK"}
    weizPVP.SpecDB["Howling Blast"] = {"Death Knight", "FrostDK"}
    weizPVP.SpecDB["Pillar of Frost"] = {"Death Knight", "FrostDK"}
    weizPVP.SpecDB["Killing Machine"] = {"Death Knight", "FrostDK"}
    weizPVP.SpecDB["Scourge Strike"] = {"Death Knight", "Unholy"}
    weizPVP.SpecDB["Festering Strike"] = {"Death Knight", "Unholy"}
    weizPVP.SpecDB["Dark Transformation"] = {"Death Knight", "Unholy"}
    weizPVP.SpecDB["Summon Gargoyle"] = {"Death Knight", "Unholy"}
    weizPVP.SpecDB["Shadow Infusion"] = {"Death Knight", "Unholy"}
    --> WARRIOR
    weizPVP.SpecDB["Mortal Strike"] = {"Warrior", "Arms"}
    weizPVP.SpecDB["Rend"] = {"Warrior", "Arms"}
    weizPVP.SpecDB["Sweeping Strikes"] = {"Warrior", "Arms"}
    weizPVP.SpecDB["Mortal Strike"] = {"Warrior", "Arms"}
    weizPVP.SpecDB["Colossus Smash"] = {"Warrior", "Arms"}
    weizPVP.SpecDB["Wild Strike"] = {"Warrior", "Fury"}
    weizPVP.SpecDB["Bloodthirst"] = {"Warrior", "Fury"}
    weizPVP.SpecDB["Wild Strike"] = {"Warrior", "Fury"}
    weizPVP.SpecDB["Piercing Howl"] = {"Warrior", "Fury"}
    weizPVP.SpecDB["Raging Blow"] = {"Warrior", "Fury"}
    weizPVP.SpecDB["Shield Slam"] = {"Warrior", "Protection"}
    weizPVP.SpecDB["Shield Block"] = {"Warrior", "Protection"}
    weizPVP.SpecDB["Devastate"] = {"Warrior", "Protection"}
    weizPVP.SpecDB["Revenge"] = {"Warrior", "Protection"}
    weizPVP.SpecDB["Demoralizing Shout"] = {"Warrior", "Protection"}
    --> PALADIN
    weizPVP.SpecDB["Holy Shock"] = {"Paladin", "HolyP"}
    weizPVP.SpecDB["Holy Radiance"] = {"Paladin", "HolyP"}
    weizPVP.SpecDB["Holy Light"] = {"Paladin", "HolyP"}
    weizPVP.SpecDB["Beacon of Light"] = {"Paladin", "HolyP"}
    weizPVP.SpecDB["Divine Light"] = {"Paladin", "HolyP"}
    weizPVP.SpecDB["Light of Dawn"] = {"Paladin", "HolyP"}
    weizPVP.SpecDB["Avenger's Shield"] = {"Paladin", "ProtectionP"}
    weizPVP.SpecDB["Judgements of the Wise"] = {"Paladin", "ProtectionP"}
    weizPVP.SpecDB["Exorcism"] = {"Paladin", "Retribution"}
    weizPVP.SpecDB["Templar's Verdict"] = {"Paladin", "Retribution"}
    weizPVP.SpecDB["Seal of Justice"] = {"Paladin", "Retribution"}
    weizPVP.SpecDB["Judgements of the Bold"] = {"Paladin", "Retribution"}
    --> DEMON HUNTER
    weizPVP.SpecDB["Demon Spikes"] = {"Demon Hunter", "Vengeance"}
    weizPVP.SpecDB["Demonic Wards"] = {"Demon Hunter", "Vengeance"}
    weizPVP.SpecDB["Empower Wards"] = {"Demon Hunter", "Vengeance"}
    weizPVP.SpecDB["Darkness"] = {"Demon Hunter", "Havoc"}
    weizPVP.SpecDB["Shattered Souls"] = {"Demon Hunter", "Havoc"}
end

-- --=> CREATE CC TABLE
-- -----------------------------------------------------------------------
-- function weizPVP:CreateCCDB()
-- 	if weizPVP.CCDB == nil then
-- 		weizPVP.CCDB = {}
-- 	end
-- 	weizPVP.CCDB = {}
-- 	weizPVP.CCDB["Chains of Ice"] = "Root"
-- 	weizPVP.CCDB["Entangling Roots"] = "Root"
-- 	weizPVP.CCDB["Mass Entanglement"] = "Root"
-- 	weizPVP.CCDB["Narrow Escape"] = "Root"
-- 	weizPVP.CCDB["Entrapment"] = "Root"
-- 	weizPVP.CCDB["Freeze (Water Elemental)"] = "Root"
-- 	weizPVP.CCDB["Frost Nova"] = "Root"
-- 	weizPVP.CCDB["Ice Ward"] = "Root"
-- 	weizPVP.CCDB["Disable"] = "Root"
-- 	weizPVP.CCDB["Spinning Fire Blossom"] = "Root"
-- 	weizPVP.CCDB["Glyph of Mind Blast"] = "Root"
-- 	weizPVP.CCDB["Void Tendrils"] = "Root"
-- 	weizPVP.CCDB["Frozen Power"] = "Root"
-- 	weizPVP.CCDB["Earthgrab Totem"] = "Root"
-- 	weizPVP.CCDB["Staggering Shout"] = "Root"
-- 	weizPVP.CCDB["Asphyxiate"] = "Stun"
-- 	weizPVP.CCDB["Gnaw"] = "Stun"
-- 	weizPVP.CCDB["Monstrous Blow"] = "Stun"
-- 	weizPVP.CCDB["Remorseless Winter"] = "Stun"
-- 	weizPVP.CCDB["Maim"] = "Stun"
-- 	weizPVP.CCDB["Mighty Bash"] = "Stun"
-- 	weizPVP.CCDB["Rake"] = "Stun"
-- 	weizPVP.CCDB["Binding Shot"] = "Stun"
-- 	weizPVP.CCDB["Intimidation"] = "Stun"
-- 	weizPVP.CCDB["Deep Freeze"] = "Stun"
-- 	weizPVP.CCDB["Charging Ox Wave"] = "Stun"
-- 	weizPVP.CCDB["Fists of Fury"] = "Stun"
-- 	weizPVP.CCDB["Leg Sweep"] = "Stun"
-- 	weizPVP.CCDB["Hammer of Justice"] = "Stun"
-- 	weizPVP.CCDB["Holy Wrath"] = "Stun"
-- 	weizPVP.CCDB["Fist of Justice"] = "Stun"
-- 	weizPVP.CCDB["Cheap Shot"] = "Stun"
-- 	weizPVP.CCDB["Kidney Shot"] = "Stun"
-- 	weizPVP.CCDB["Pulverize"] = "Stun"
-- 	weizPVP.CCDB["Static Charge"] = "Stun"
-- 	weizPVP.CCDB["Axe Toss"] = "Stun"
-- 	weizPVP.CCDB["Shadowfury"] = "Stun"
-- 	weizPVP.CCDB["Summon Infernal"] = "Stun"
-- 	weizPVP.CCDB["War Stomp"] = "Stun"
-- 	weizPVP.CCDB["Shockwave"] = "Stun"

-- 	weizPVP.CCDB["Incapacitating Roar"] = "Horror"
-- 	weizPVP.CCDB["Freezing Trap"] = "Horror"
-- 	weizPVP.CCDB["Wyvern Sting"] = "Horror"
-- 	weizPVP.CCDB["Polymorph"] = "Horror"
-- 	weizPVP.CCDB["Ring of Frost"] = "Horror"
-- 	weizPVP.CCDB["Dragon's Breath"] = "Horror"
-- 	weizPVP.CCDB["Paralysis"] = "Horror"
-- 	weizPVP.CCDB["Ring of Peace"] = "Horror"
-- 	weizPVP.CCDB["Breath of Fire"] = "Horror"
-- 	weizPVP.CCDB["Repentance"] = "Horror"
-- 	weizPVP.CCDB["Holy Word: Chastise"] = "Horror"
-- 	weizPVP.CCDB["Psychic Horror"] = "Horror"
-- 	weizPVP.CCDB["Mind Control"] = "Horror"
-- 	weizPVP.CCDB["Gouge"] = "Horror"
-- 	weizPVP.CCDB["Sap"] = "Horror"
-- 	weizPVP.CCDB["Hex"] = "Horror"
-- 	weizPVP.CCDB["Blood Horror"] = "Horror"
-- 	weizPVP.CCDB["Mortal Coil"] = "Horror"
-- 	weizPVP.CCDB["Quaking Palm"] = "Horror"
-- 	weizPVP.CCDB["Ice Nova"] = "Horror"

-- 	weizPVP.CCDB["Cyclone"] = "Fear"
-- 	weizPVP.CCDB["Turn Evil"] = "Fear"
-- 	weizPVP.CCDB["Psychic Scream"] = "Fear"
-- 	weizPVP.CCDB["Blind"] = "Fear"
-- 	weizPVP.CCDB["Fear"] = "Fear"
-- 	weizPVP.CCDB["Howl of Terror"] = "Fear"
-- 	weizPVP.CCDB["Mesmerize"] = "Fear"
-- 	weizPVP.CCDB["Seduction"] = "Fear"
-- 	weizPVP.CCDB["Intimidating Shout"] = "Fear"

-- 	weizPVP.CCDB["Strangulate"] = "Silence"
-- 	weizPVP.CCDB["Glyph of Fae Silence"] = "Silence"
-- 	weizPVP.CCDB["Frostjaw"] = "Silence"
-- 	weizPVP.CCDB["Avenger's Shield"] = "Silence"
-- 	weizPVP.CCDB["Silence"] = "Silence"
-- 	weizPVP.CCDB["Garrote"] = "Silence"
-- 	weizPVP.CCDB["Spell Lock"] = "Silence"
-- 	weizPVP.CCDB["Optical Blast"] = "Silence"
-- 	weizPVP.CCDB["Arcane Torrent"] = "Silence"
-- end
